<input name="FormMode" type="hidden" value="<%= paymentForm.getFormModeString() %>" />
<input name="HashDigest" type="hidden" value="<%= hashDigest %>" />

<div class="ContentRight">
    <div class="ContentHeader">
        Order Details
    </div>
    <div class="FormItem">
        <div class="FormLabel">Amount:</div>
        <div class="FormInputTextOnly"><%= displayAmount %></div>
        <input type="hidden" name="Amount" value="<%= paymentForm.getAmount() %>" />
        <input type="hidden" name="CurrencyShort" value="<%= paymentForm.getCurrencyShort() %>" />
    </div>
    <div class="FormItem">
        <div class="FormLabel">Order Description:</div>
        <div class="FormInputTextOnly"><%= paymentForm.getOrderDescription() %></div>
        <input type="hidden" name="OrderID" value="<%= paymentForm.getOrderID() %>" />
        <input type="hidden" name="OrderDescription" value="<%= paymentForm.getOrderDescription() %>" />
    </div>
</div>
<div class="ContentRight">
    <div class="ContentHeader">
        Card Details
    </div>
    <div class="FormItem">
        <div class="FormLabel">Name On Card:</div>
        <div class="FormInput">
            <input name="CardName" value="<%= paymentForm.getCardName() %>" class="InputTextField" MaxLength="50" />
        </div>
    </div>
    <div class="FormItem">
        <div class="FormLabel">Card Number:</div>
        <div class="FormInput">            
            <input name="CardNumber" value="<%= paymentForm.getCardNumber() %>" class="InputTextField" MaxLength="20" />
        </div>
    </div>
    <div class="FormItem">
        <div class="FormLabel">
            Expiry Date:
        </div>
        <div class="FormInput">
            <select name="ExpiryDateMonth" style="width:45px">
                <option></option>
		<%= expiryDateMonthList.toString() %>
            </select>
            /
            <select name="ExpiryDateYear" style="width:55px">
                <option></option>
                <%= expiryDateYearList.toString() %>
            </select>
        </div>
    </div>
    <div class="FormItem">
        <div class="FormLabel">
            Start Date:
        </div>
        <div class="FormInput">
            <select name="StartDateMonth" style="width:45px">
                <option></option>
                <%= startDateMonthList.toString() %>
            </select>
            /
            <select name="StartDateYear" style="width:55px">
                <option></option>
                <%= startDateYearList.toString() %>
            </select>
        </div>
    </div>
    <div class="FormItem">
        <div class="FormLabel">Issue Number:</div>
        <div class="FormInput">
            <input name="IssueNumber" value="<%= paymentForm.getIssueNumber() %>" class="InputTextField" MaxLength="2" style="width:50px" />
        </div>
        <div class="FormValnameationText"></div>
    </div>
    <div class="FormItem">
        <div class="FormLabel">CV2:</div>
        <div class="FormInput">
            <input name="CV2" value="<%= paymentForm.getCV2() %>" class="InputTextField" MaxLength="4" style="width:50px" />
        </div>
    </div>
</div>

<div class="ContentRight">
    <div class="ContentHeader">
        Customer Details
    </div>
    <div class="FormItem">
        <div class="FormLabel">Address:</div>
        <div class="FormInput">
            <input name="Address1" value="<%= paymentForm.getAddress1() %>" class="InputTextField" MaxLength="100" />
        </div>
    </div>
    <div class="FormItem">
        <div class="FormLabel">&nbsp</div>
        <div class="FormInput">
            <input name="Address2" value="<%= paymentForm.getAddress2() %>" class="InputTextField" MaxLength="50" />
        </div>
    </div>
    <div class="FormItem">
        <div class="FormLabel">&nbsp</div>
        <div class="FormInput">
            <input name="Address3" value="<%= paymentForm.getAddress3() %>" class="InputTextField" MaxLength="50" />
        </div>
    </div>
    <div class="FormItem">
        <div class="FormLabel">&nbsp</div>
        <div class="FormInput">
            <input name="Address4" value="<%= paymentForm.getAddress4() %>" class="InputTextField" MaxLength="50" />
        </div>
    </div>
    <div class="FormItem">
        <div class="FormLabel">City:</div>
        <div class="FormInput">
            <input name="City" value="<%= paymentForm.getCity() %>" class="InputTextField" MaxLength="50" />
        </div>
    </div>
    <div class="FormItem">
        <div class="FormLabel">State:</div>
        <div class="FormInput">
            <input name="State" value="<%= paymentForm.getState() %>" class="InputTextField" MaxLength="50" />
        </div>
    </div>
    <div class="FormItem">
        <div class="FormLabel">Post Code:</div>
        <div class="FormInput">
            <input name="PostCode" value="<%= paymentForm.getPostCode() %>" class="InputTextField" MaxLength="50" />
        </div>
    </div>
    <div class="FormItem">
        <div class="FormLabel">
            Country:
        </div>
        <div class="FormInput">
            <select name="CountryShort" style="width:200px">
                <option value="-1"></option>
                <%= ISOCountryList.toString() %>
            </select>
        </div>
    </div>
    <div class="FormItem">
        <div class="FormSubmit">
            <input type="submit" value="Submit For Processing" />
        </div>
    </div>
</div>