<%@ Page Language="VB" AutoEventWireup="true" CodeFile="PaymentForm.aspx.vb" Inherits="MyCompanyName.PaymentForm" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Untitled Page</title>
    <link href="CSS/StyleSheet.css" rel="stylesheet" type="text/css" />
	<script type="text/javascript">
		function gatherBrowserData()
		{
			if (document.getElementById("hfJavaScriptEnabled") != null &&
				document.getElementById("hfJavaScriptEnabled").value == "")
			{
				document.getElementById("hfJavaEnabled").value = navigator.javaEnabled();
				document.getElementById("hfJavaScriptEnabled").value = true;
				document.getElementById("hfLanguage").value = navigator.language;
				document.getElementById("hfScreenHeight").value = screen.height;
				document.getElementById("hfScreenWidth").value = screen.width;
				document.getElementById("hfScreenColourDepth").value = screen.colorDepth;
				var browserTime = new Date();
				document.getElementById("hfTimezoneOffset").value = browserTime.getTimezoneOffset();
			}
        }

    </script>
</head>
<body id="BodyTag" runat="server">
	<form name="threeDSecureEnvironmentForm" action="<%= m_szMethodDataURL %>" method="post" target="threeDSecureFrame">
        <input type="hidden" name="threeDSMethodData" value="<%= m_szThreeDSMethodData %>" />
    </form>
	<form name="threeDSecureChallengeForm" action="<%= m_szACSURL %>" method="post" target="threeDSecureFrame">
        <input type="hidden" name="threeDSSessionData" value="<%= m_szThreeDSSessionData %>" />
		<input type="hidden" name="creq" value="<%= m_szCREQ %>" />
    </form>
    <form id="form1" runat="server">
    <div style="width:800px;margin:auto">
        <asp:HiddenField ID="hfFormMode" runat="server" Value="PAYMENTFORM" />
           
        <asp:Panel ID="pnMessagePanel" runat="server" Visible="false">
            <asp:Label ID="lbMessageLabel" runat="server" />
        </asp:Panel>

        <asp:MultiView ID="PaymentFormMultiView" runat="server" ActiveViewIndex="0">
            <asp:View ID="PaymentFormView" runat="server">
				<asp:HiddenField ID="hfJavaEnabled" runat="server" />
				<asp:HiddenField ID="hfJavaScriptEnabled" runat="server" />
				<asp:HiddenField ID="hfLanguage" runat="server" />
				<asp:HiddenField ID="hfScreenHeight" runat="server" />
				<asp:HiddenField ID="hfScreenWidth" runat="server" />
				<asp:HiddenField ID="hfScreenColourDepth" runat="server" />
				<asp:HiddenField ID="hfTimezoneOffset" runat="server" />

                <asp:HiddenField ID="hfAmount" runat="server" />
                <asp:HiddenField ID="hfCurrencyShort" runat="server" />
                <asp:HiddenField ID="hfOrderID" runat="server" />
                <asp:HiddenField ID="hfOrderDescription" runat="server" />
                <asp:HiddenField ID="hfHashDigest" runat="server" />
                
                <div class="ContentRight">
                    <div class="ContentHeader">
                        Order Details
                    </div>
	                <div class="FormItem">
	                    <div class="FormLabel">Amount:</div>
	                    <div class="FormInputTextOnly">
                            <asp:Label ID="lbAmount" runat="server" />
                        </div>
	                </div>
	                <div class="FormItem">
	                    <div class="FormLabel">Order ID:</div>
	                    <div class="FormInputTextOnly">
                            <asp:Label ID="lbOrderID" runat="server" />
	                    </div>
	                </div>
	                <div class="FormItem">
	                    <div class="FormLabel">Order Description:</div>
	                    <div class="FormInputTextOnly">
                            <asp:Label ID="lbOrderDescription" runat="server" />
	                    </div>
	                </div>
	                <div class="ContentRight">
	                    <div class="ContentHeader">
	                        Card Details
	                    </div>
	                </div>
	                <div class="FormItem">
	                    <div class="FormLabel">Name On Card:</div>
	                    <div class="FormInput">
	                        <asp:TextBox ID="tbCardName" runat="server" CssClass="InputTextField" MaxLength="50" />
	                    </div>
	                </div>
	                <div class="FormItem">
	                    <div class="FormLabel">Card Number:</div>
	                    <div class="FormInput">            
	                        <asp:TextBox ID="tbCardNumber" runat="server" CssClass="InputTextField" MaxLength="20" />
	                    </div>
	                </div>
	                <div class="FormItem">
	                    <div class="FormLabel">
	                        Expiry Date:
	                    </div>
	                    <div class="FormInput">
	                        <asp:DropDownList ID="ddExpiryDateMonth" runat="server" Width="45px">
	                        </asp:DropDownList>
	                        /
	                        <asp:DropDownList ID="ddExpiryDateYear" runat="server" Width="55px">
	                        </asp:DropDownList>
	                    </div>
	                </div>
	                <div class="FormItem">
	                    <div class="FormLabel">
	                        Start Date:
	                    </div>
	                    <div class="FormInput">
	                        <asp:DropDownList ID="ddStartDateMonth" runat="server" Width="45px">
	                        </asp:DropDownList>
	                        /
	                        <asp:DropDownList ID="ddStartDateYear" runat="server" Width="55px">
	                        </asp:DropDownList>
	                    </div>
	                </div>
	                <div class="FormItem">
	                    <div class="FormLabel">Issue Number:</div>
	                    <div class="FormInput">
	                        <asp:TextBox ID="tbIssueNumber" runat="server" CssClass="InputTextField" MaxLength="2" Width="50px" />
	                    </div>
	                </div>
	                <div class="FormItem">
	                    <div class="FormLabel">CV2:</div>
	                    <div class="FormInput">
	                        <asp:TextBox ID="tbCV2" runat="server" CssClass="InputTextField" MaxLength="4" Width="50px" />
	                    </div>
	                </div>
                </div>
                
                <div class="ContentRight">
                    <div class="ContentHeader">
                        Customer Details
                    </div>
	                <div class="FormItem">
	                    <div class="FormLabel">Address:</div>
	                    <div class="FormInput">
	                        <asp:TextBox ID="tbAddress1" runat="server" CssClass="InputTextField" MaxLength="100" />
	                    </div>
	                </div>
	                <div class="FormItem">
	                    <div class="FormLabel">&nbsp</div>
	                    <div class="FormInput">
	                        <asp:TextBox ID="tbAddress2" runat="server" CssClass="InputTextField" MaxLength="50" />
	                    </div>
	                </div>
	                <div class="FormItem">
	                    <div class="FormLabel">&nbsp</div>
	                    <div class="FormInput">
	                        <asp:TextBox ID="tbAddress3" runat="server" CssClass="InputTextField" MaxLength="50" />
	                    </div>
	                </div>
	                <div class="FormItem">
	                    <div class="FormLabel">&nbsp</div>
	                    <div class="FormInput">
	                        <asp:TextBox ID="tbAddress4" runat="server" CssClass="InputTextField" MaxLength="50" />
	                    </div>
	                </div>
	                <div class="FormItem">
	                    <div class="FormLabel">City:</div>
	                    <div class="FormInput">
	                        <asp:TextBox ID="tbCity" runat="server" CssClass="InputTextField" MaxLength="50" />
	                    </div>
	                </div>
	                <div class="FormItem">
	                    <div class="FormLabel">State:</div>
	                    <div class="FormInput">
	                        <asp:TextBox ID="tbState" runat="server" CssClass="InputTextField" MaxLength="50" />
	                    </div>
	                </div>
	                <div class="FormItem">
	                    <div class="FormLabel">Post Code:</div>
	                    <div class="FormInput">
	                        <asp:TextBox ID="tbPostCode" runat="server" CssClass="InputTextField" MaxLength="50" />
	                    </div>
	                </div>
	                <div class="FormItem">
	                    <div class="FormLabel">
	                        Country:
	                    </div>
	                    <div class="FormInput">
	                        <asp:DropDownList ID="ddlCountryShort" runat="server" Width="200px">
	                            <asp:ListItem></asp:ListItem>
	                        </asp:DropDownList>
	                    </div>
	                </div>
	                <div class="FormItem">
	                    <div class="FormSubmit">
	                        <asp:Button ID="SubmitButton" runat="server" 
	                            Text="Submit For Processing" 
	                            OnClick="SubmitButton_Click" />
	                    </div>
	                </div>
                </div>
            </asp:View>
            <asp:View ID="ThreeDSecureView" runat="server">
                <iframe ID="threeDSecureFrame" name="threeDSecureFrame" width="800" height="400" frameborder="0" runat="server"></iframe>        
            </asp:View>
            <asp:View ID="ResultsView" runat="server">
                <asp:Panel ID="pnTransactionResultsPanel" runat="server" Visible="false">
                    <div class="TransactionResultsItem">
                        <div class="TransactionResultsLabel">Payment Processor Response:</div>    
                        <div class="TransactionResultsText"><asp:Label ID="lbGatewayResponse" runat="server" /></div>
                    </div>
                    <asp:Panel ID="pnDuplicateTransactionPanel" runat="server" Visible="false">
                        <div style="color:#000;margin-top:10px">
						    A duplicate transaction means that a transaction with these details
							has already been processed by the payment provider. The details of
							the original transaction are given below
					    </div>
						<div class="TransactionResultsItem" style="margin-top:10px">
						    <div class="TransactionResultsLabel">Previous Transaction Response:</div>
						    <div class="TransactionResultsText"><asp:Label ID="lbPreviousTransactionMessage" runat="server" /></div>
					    </div>
                    </asp:Panel>
                    <div style="margin-top:10px">
                        <asp:HyperLink ID="hlProcessAnother" runat="server" NavigateUrl="~/StartHere.aspx">Process Another</asp:HyperLink>
                    </div>
                </asp:Panel>
            </asp:View>
        </asp:MultiView>
    </div>
    </form>
</body>
</html>