<?php
	require_once ("PaymentFormHelper.php");
	include ("Config.php");

	$BodyAttributes = "";
	$ErrorOccurred = false;
	$Message = "";
	$ThreeDSMethodData = "";
	$ThreeDSSessionData = "";
	$CRES = "";
	$FormAction = "";
	$FormAttributes = "";
	$Width = 500;
	$ShoppingCartHashDigest = "";

	if (isset($_POST['threeDSMethodData']) == true)
	{
		$BodyAttributes = " onload=\"document.Form.submit();\"";
		$ThreeDSMethodData = $_POST['threeDSMethodData'];
		$FormAction = "PaymentForm.php";
		$FormAttributes = " target=\"_parent\"";
		$ShoppingCartHashDigest = PaymentFormHelper::calculateHashDigest(PaymentFormHelper::generateStringToHash3($ThreeDSMethodData, $SecretKey));
		include ("Templates/FormHeader.tpl");
		include ("Templates/3DSEnvironmentLandingForm.tpl");
	}
	else if (isset($_POST['cres']) == true || 
	         isset($_POST['threeDSSessionData']) == true)
	{
		$BodyAttributes = " onload=\"document.Form.submit();\"";
		$ThreeDSSessionData = $_POST['threeDSSessionData'];
		$CRES = $_POST['cres'];
		$FormAction = "PaymentForm.php";
		$FormAttributes = " target=\"_parent\"";
		$ShoppingCartHashDigest = PaymentFormHelper::calculateHashDigest(PaymentFormHelper::generateStringToHash2($CRES, $ThreeDSSessionData, $SecretKey));
		include ("Templates/FormHeader.tpl");
		include ("Templates/3DSChallengeLandingForm.tpl");
	}
	else
	{
		$Message = "There were errors collecting the responses back from the ACS";
		$ErrorOccurred = true;
		include ("Templates/FormHeader.tpl");
		include ("Templates/ProcessingErrorResultsPanel.tpl");
	}

	include ("Templates/FormFooter.tpl");
?>