<cfinclude template="PaymentFormHelper.cfm">

<cfscript>
	nOutputStatusCode = 30;
	szOutputMessage = "";
	szUpdateOrderMessage = "";
	boErrorOccurred = false;

	try
	{
		// read in the transaction result variables
		trTransactionResult = StructNew();
		szHashDigest = StructNew();
		szOutputMessage2 = StructNew();

		if (GetTransactionResultFromPostVariables(Form, trTransactionResult, szHashDigest, szOutputMessage2) NEQ true)
		{
			nOutputStatusCode = 30;
			szOutputMessage = szOutputMessage2.Value;
		}
		else
		{
			szUpdateOrderMessage = StructNew();

			if (ReportTransactionResults(trTransactionResult, szUpdateOrderMessage) NEQ true)
			{
				nOutputStatusCode = 30;
				szOutputMessage = szOutputMessage & szUpdateOrderMessage.Value;
			}
			else
			{
				nOutputStatusCode = 0;
			}
		}
	}
	catch (Any e)
	{
		nOutputStatusCode = 30;
		szOutputMessage = szOutputMessage & e.Message;
	}
	if (nOutputStatusCode NEQ 0 AND
		szOutputMessage EQ "")
	{
		szOutputMessage = "Unknown error";
	}
	// output the status code and message letting the payment form
	// know whether the transaction result was processed successfully
	WriteOutput("StatusCode=" & nOutputStatusCode & "&Message=" & szOutputMessage);
</cfscript>