function getElm(id)
{ 
	if(document.getElementById) 
	return document.getElementById(id); 
	else if(document.all) return document.all[id]; 
	else return null; 
} 

function showLevel(textLevel)
{ 
	var thisLevel = getElm(textLevel); 
	if ( thisLevel.style.display == "none") { 
	thisLevel.style.display = "block"; 
	} 
	else { 
	hideLevel( textLevel, bulId); 
	} 
} 

function hideLevel(textLevel)
{ 
	var thisLevel = getElm(textLevel); 
	thisLevel.style.display = "none"; 
}
	
function Browser() 
{

  var ua, s, i;

  this.isIE    = false;  /* Internet Explorer */
  this.isNS    = false;  /* Netscape		  */
  this.version = null;

  ua = navigator.userAgent;

  s = "MSIE";
  if ((i = ua.indexOf(s)) >= 0) {
    this.isIE = true;
    this.version = parseFloat(ua.substr(i + s.length));
    return;
  }

  s = "Netscape6/";
  if ((i = ua.indexOf(s)) >= 0) {
    this.isNS = true;
    this.version = parseFloat(ua.substr(i + s.length));
    return;
  }

  /* Treat any other "Gecko" browser as NS 6.1.	*/

  s = "Gecko";
  if ((i = ua.indexOf(s)) >= 0) {
    this.isNS = true;
    this.version = 6.1;
    return;
  }
}

var browser = new Browser();

/*----------------------------------------------------------------------------
   Code for handling the menu bar and active button.
  ----------------------------------------------------------------------------*/

var activeButton = null;

function buttonClick(event, menuId) 
{

  var button;

  /* Get the target button element.*/

  if (browser.isIE)
    button = window.event.srcElement;
  else
    button = event.currentTarget;

  /* Blur focus from the link to remove that annoying outline.*/

  button.blur();

  /* Associate the named menu to this button if not already done.
     Additionally, initialize menu display.*/

  if (button.menu == null) {
    button.menu = document.getElementById(menuId);
    if (button.menu.initialized == null)
      menuInit(button.menu);
  }

  /* [MODIFIED] Added for activate/deactivate on mouseover.*/

  /* Set mouseout event handler for the button, if not already done.*/

  if (button.onmouseout == null)
    button.onmouseout = buttonOrMenuMouseout;

  /* Exit if this button is the currently active one.*/

  if (button == activeButton)
    return false;

  /* Reset the currently active button, if any.*/

  	if (activeButton != null)
  	{
    	resetButton(activeButton);
	}

  /* Activate this button, unless it was the currently active one.*/

  	if (button != activeButton) 
  	{
    	depressButton(button);
    	activeButton = button;
  	}
  	else
  	{
    	activeButton = null;
	}

  return false;
}

function buttonMouseover(event, menuId, elementName, imageName, reserved, number) 
{
  	var button;

  	/* Activates this button's menu if no other is currently active.*/

  	if (activeButton == null) 
  	{
		/* highlight the button */
		MM_nbGroup('over', elementName, imageName, reserved, number); 
    	buttonClick(event, menuId);
    	return;
  	}
								    
  	/* Find the target button element.*/

  	if (browser.isIE)
    	button = window.event.srcElement;
  	else
    	button = event.currentTarget;

  	/* If any other button menu is active, make this one active instead. */

  	if (activeButton != null && activeButton != button)
  	{
		/* highlight the button */
		MM_nbGroup('over', elementName, imageName, reserved, number); 
    	buttonClick(event, menuId);
	}
}


function depressButton(button) {

  var x, y;

  /* Update the button's style class to make it look like it's
     depressed.	*/

  button.className += " MenuButtonActive";


  /* Set mouseout event handler for the button, if not already done. */

  if (button.onmouseout == null)
    button.onmouseout = buttonOrMenuMouseout;
  if (button.menu.onmouseout == null)
    button.menu.onmouseout = buttonOrMenuMouseout;

  /* Position the associated drop down menu under the button and
     show it. */

  x = getPageOffsetLeft(button);
  y = getPageOffsetTop(button) + button.offsetHeight;

  /* For IE, adjust position. */

  if (browser.isIE) {
    x += button.offsetParent.clientLeft;
    y += button.offsetParent.clientTop;
  }

  button.menu.style.left = x + "px";
  button.menu.style.top  = y + "px";
  button.menu.style.visibility = "visible";
}

function resetButton(button) {

  /* Restore the button's style class.*/

  removeClassName(button, "MenuButtonActive");

  /* Hide the button's menu, first closing any sub menus.*/

  if (button.menu != null) {
    closeSubMenu(button.menu);
    button.menu.style.visibility = "hidden";
  }
}

/*----------------------------------------------------------------------------
  Code to handle the menus and sub menus.
  ----------------------------------------------------------------------------*/

function menuMouseover(event) {

  var menu;

  /* Find the target menu element.*/

  if (browser.isIE)
    menu = getContainerWith(window.event.srcElement, "DIV", "Menu");
  else
    menu = event.currentTarget;

  /* Close any active sub menu.*/

  if (menu.activeItem != null)
    closeSubMenu(menu);
}


function menuItemMouseover(event, menuId) {

  var item, menu, x, y;

  /* Find the target item element and its parent menu element.*/

  if (browser.isIE)
    item = getContainerWith(window.event.srcElement, "A", "MenuItem");
  else
    item = event.currentTarget;
  menu = getContainerWith(item, "DIV", "Menu");

  /* Close any active sub menu and mark this one as active.*/

  if (menu.activeItem != null)
    closeSubMenu(menu);
  menu.activeItem = item;

  /* Highlight the item element.*/

  item.className += " MenuItemHighlight";

  /* Initialize the sub menu, if not already done.*/

  if (item.subMenu == null) {
    item.subMenu = document.getElementById(menuId);
    if (item.subMenu.initialized == null)
      menuInit(item.subMenu);
  }


  /* Set mouseout event handler for the sub menu, if not already done. */

  if (item.subMenu.onmouseout == null)
    item.subMenu.onmouseout = buttonOrMenuMouseout;

  /* Get position for submenu based on the menu item.*/

  x = getPageOffsetLeft(item) + item.offsetWidth;
  y = getPageOffsetTop(item);

  /* Adjust position to fit in view.*/

  var maxX, maxY;

  if (browser.isNS) {
    maxX = window.scrollX + window.innerWidth;
    maxY = window.scrollY + window.innerHeight;
  }
  if (browser.isIE && browser.version < 6) {
    maxX = document.body.scrollLeft + document.body.clientWidth;
    maxY = document.body.scrollTop  + document.body.clientHeight;
  }
  if (browser.isIE && browser.version >= 6) {
    maxX = document.documentElement.scrollLeft + document.documentElement.clientWidth;
    maxY = document.documentElement.scrollTop  + document.documentElement.clientHeight;
  }
  maxX -= item.subMenu.offsetWidth;
  maxY -= item.subMenu.offsetHeight;

  if (x > maxX)
    x = Math.max(0, x - item.offsetWidth - item.subMenu.offsetWidth
      + (menu.offsetWidth - item.offsetWidth));
  y = Math.max(0, Math.min(y, maxY));

  /* Position and show the sub menu.*/

  item.subMenu.style.left = x + "px";
  item.subMenu.style.top  = y + "px";
  item.subMenu.style.visibility = "visible";

  /* Stop the event from bubbling.*/

  if (browser.isIE)
    window.event.cancelBubble = true;
  else
    event.stopPropagation();
}

			


function closeSubMenu(menu) {

  if (menu == null || menu.activeItem == null)
    return;

  /* Recursively close any sub menus.*/

  if (menu.activeItem.subMenu != null) {
    closeSubMenu(menu.activeItem.subMenu);
    menu.activeItem.subMenu.style.visibility = "hidden";
    menu.activeItem.subMenu = null;
  }
  removeClassName(menu.activeItem, "MenuItemHighlight");
  menu.activeItem = null;
}


function buttonOrMenuMouseout(event) {

  var el;

	
  /* If there is no active button, exit.*/

  if (activeButton == null)
    return;

  /* Find the element the mouse is moving to.*/

  if (browser.isIE)
    el = window.event.toElement;
  else if (event.relatedTarget != null)
      el = (event.relatedTarget.tagName ? event.relatedTarget : event.relatedTarget.parentNode);

  /* If the element is not part of a menu, reset the active button.*/

  if (getContainerWith(el, "DIV", "Menu") == null) 
  {
    resetButton(activeButton);
    activeButton = null;
  	MM_nbGroup('out');
  }
}


/*----------------------------------------------------------------------------
   Code to initialize menus.
  ----------------------------------------------------------------------------*/

function menuInit(menu) {

  var itemList, spanList
  var textEl, arrowEl;
  var itemWidth;
  var w, dw;
  var i, j;

  /* For IE, replace arrow characters. */

  if (browser.isIE) {
    menu.style.lineHeight = "2.5ex";
    spanList = menu.getElementsByTagName("SPAN");
    for (i = 0; i < spanList.length; i++)
      if (hasClassName(spanList[i], "MenuItemArrow")) {
        spanList[i].style.fontFamily = "Webdings";
        spanList[i].firstChild.nodeValue = "4";
      }
  }

  /* Find the width of a menu item.	*/

  itemList = menu.getElementsByTagName("A");
  if (itemList.length > 0)
    itemWidth = itemList[0].offsetWidth;
  else
    return;

  /* For items with arrows, add padding to item text to make the
     arrows flush right. */

  for (i = 0; i < itemList.length; i++) {
    spanList = itemList[i].getElementsByTagName("SPAN")
    textEl  = null
    arrowEl = null;
    for (j = 0; j < spanList.length; j++) {
      if (hasClassName(spanList[j], "MenuItemText"))
        textEl = spanList[j];
      if (hasClassName(spanList[j], "MenuItemArrow"))
        arrowEl = spanList[j];
    }
    if (textEl != null && arrowEl != null)
      textEl.style.paddingRight = (itemWidth
        - (textEl.offsetWidth + arrowEl.offsetWidth)) + "px";
  }

  /* Fix IE hover problem by setting an explicit width on first item of
    the menu. */

  if (browser.isIE) {
    w = itemList[0].offsetWidth;
    itemList[0].style.width = w + "px";
    dw = itemList[0].offsetWidth - w;
    w -= dw;
    itemList[0].style.width = w + "px";
  }

  /* Mark menu as initialized. */

  menu.initialized = true;
}

/*----------------------------------------------------------------------------
   General utility functions.
  ----------------------------------------------------------------------------*/


function getContainerWith(node, tagName, className) {

  /* Starting with the given node, find the nearest containing element
   with the specified tag name and style class.*/

  while (node != null) {
    if (node.tagName != null && node.tagName == tagName &&
        hasClassName(node, className))
      return node;
    node = node.parentNode;
  }

  return node;
}


function hasClassName(el, name) {

  var i, list;

  /* Return true if the given element currently has the given class
   name.*/

  list = el.className.split(" ");
  for (i = 0; i < list.length; i++)
    if (list[i] == name)
      return true;

  return false;
}



function removeClassName(el, name) {

  var i, curList, newList;

  if (el.className == null)
    return;

  /* Remove the given class name from the element's className property.*/

  newList = new Array();
  curList = el.className.split(" ");
  for (i = 0; i < curList.length; i++)
    if (curList[i] != name)
      newList.push(curList[i]);
  el.className = newList.join(" ");
}

function getPageOffsetLeft(el) {

  var x;

  /* Return the x coordinate of an element relative to the page.*/

  x = el.offsetLeft;
  if (el.offsetParent != null)
    x += getPageOffsetLeft(el.offsetParent);

  return x;
}

function getPageOffsetTop(el) {

  var y;

  /* Return the x coordinate of an element relative to the page.*/

  y = el.offsetTop;
  if (el.offsetParent != null)
    y += getPageOffsetTop(el.offsetParent);

  return y;
}

function MM_findObj(n, d) 
{ 
	var p,i,x;  
	
	if(!d)
	{ 
		d=document; 
	}	
	if((p=n.indexOf("?"))>0&&parent.frames.length) 
	{
    	d=parent.frames[n.substring(p+1)].document; 
    	n=n.substring(0,p);
    }
  	if(!(x=d[n])&&d.all)
  	{
  		x=d.all[n];
  	} 
  	for (i=0;!x&&i<d.forms.length;i++)
  	{ 
  		x=d.forms[i][n];
	}
  	for(i=0;!x&&d.layers&&i<d.layers.length;i++)
  	{
  		x=MM_findObj(n,d.layers[i].document);
	}
  	if(!x && d.getElementById)
  	{
  		x=d.getElementById(n);
  	} 
  	return x;
}

function MM_nbGroup(event, grpName) 
{ 
  	var i,img,nbArr,args=MM_nbGroup.arguments;
  
  	if (event == "init" && args.length > 2) 
  	{
    	if ((img = MM_findObj(args[2])) != null && !img.MM_init) 
    	{
      		img.MM_init = true; 
      		img.MM_up = args[3]; 
      		img.MM_dn = img.src;

      		if ((nbArr = document[grpName]) == null) 
      		{
      			nbArr = document[grpName] = new Array();
			}
      		nbArr[nbArr.length] = img;
      		for (i=4; i < args.length-1; i+=2)
      		{ 
	      		if ((img = MM_findObj(args[i])) != null) 
	      		{
	        		if (!img.MM_up)
	        		{	
	        			img.MM_up = img.src;
					}
	        		img.src = img.MM_dn = args[i+1];
	        		nbArr[nbArr.length] = img;
	    		}
	    	} 
    	}
  	} 
  	else if (event == "over") 
  	{
    	document.MM_nbOver = nbArr = new Array();
	    for (i=1; i < args.length-1; i+=3)
	    { 
		    if ((img = MM_findObj(args[i])) != null) 
		    {
		      	if (!img.MM_up)
		      	{
		      		img.MM_up = img.src;
				}
		      	img.src = (img.MM_dn && args[i+2]) ? args[i+2] : ((args[i+1])? args[i+1] : img.MM_up);
		      	nbArr[nbArr.length] = img;
		    }
		}
  	} 
  	else if (event == "out" ) 
  	{
    	for (i=0; i < document.MM_nbOver.length; i++) 
    	{
      		img = document.MM_nbOver[i]; img.src = (img.MM_dn) ? img.MM_dn : img.MM_up; 
      	}
  	} 
	else if (event == "down") 
	{
    	nbArr = document[grpName];
    	
    	if (nbArr)
		{
      		for (i=0; i < nbArr.length; i++) 
      		{ 
      			img=nbArr[i]; img.src = img.MM_up; img.MM_dn = 0; 
      		}
		}
   		document[grpName] = nbArr = new Array();
    	
    	for (i=2; i < args.length-1; i+=2)
    	{ 
	    	if ((img = MM_findObj(args[i])) != null) 
	    	{
		      	if (!img.MM_up)
		      	{	
		      		img.MM_up = img.src;
			  	}
	      		img.src = img.MM_dn = (args[i+1])? args[i+1] : img.MM_up;
	      		nbArr[nbArr.length] = img;
	  		}
	  	} 	
  	}
}
