<% Option Explicit %>
<!--#include file = "Config.asp" -->
<!--#include file = "PaymentFormHelper.asp" -->
<!--#include file = "PreProcessPaymentForm.asp" -->
<%
	Dim Width
    Dim StringToHash

    Dim lilExpiryDateMonthList
    Dim lilExpiryDateYearList
    Dim lilStartDateMonthList
    Dim lilStartDateYearList
    Dim lilISOCountryList

    Width = 800

%><!--#include file = "Templates/FormHeader.tpl" --><%

	Select Case NextFormMode
		Case "RESULTS"
			%><!--#include file = "Templates/FinalResultsPanel.tpl" --><%
			
		Case "THREE_D_SECURE_AUTHENTICATION_REQUIRED"
			SiteSecureBaseURL = pfhPaymentFormHelper.GetSiteSecureBaseURL()
			%><!--#include file = "Templates/3DSIFrame.tpl" --><%

		Case "PAYMENT_FORM"
            If Message <> "" Then
				%><!--#include file = "Templates/ProcessingErrorResultsPanel.tpl" --><%
			End If

            StringToHash = pfhPaymentFormHelper.GenerateStringToHashInitial(    HashMethod, _
                                                                                PreSharedKey, _
                                                                                MerchantID, _
                                                                                Password, _
                                                                                Amount, _
			                                                                    CurrencyCode, _
			                                                                    OrderID, _
                                                                                TransactionType, _
                                                                                TransactionDateTime, _
                                                                                CallbackURL, _
			                                                                    OrderDescription)
                    
			HashDigest = _
                pfhPaymentFormHelper.CalculateHashDigest(   StringToHash, _
                                                            PreSharedKey, _
                                                            HashMethod)

			Set lilExpiryDateMonthList = pfhPaymentFormHelper.CreateExpiryDateMonthListItemList(ExpiryDateMonth)
			Set lilExpiryDateYearList = pfhPaymentFormHelper.CreateExpiryDateYearListItemList(ExpiryDateYear)
			Set lilStartDateMonthList = pfhPaymentFormHelper.CreateStartDateMonthListItemList(StartDateMonth)
			Set lilStartDateYearList = pfhPaymentFormHelper.CreateStartDateYearListItemList(StartDateYear)
				
			Set lilISOCountryList = pfhPaymentFormHelper.CreateISOCountryListItemList()

			%><!--#include file = "Templates/PaymentForm.tpl" --><%

    End Select
%>
<!--#include file = "Templates/FormFooter.tpl" -->