<% Option Explicit %>
<!--#include file = "Config.asp" -->
<!--#include file = "PaymentFormHelper.asp" -->
<%	
'<!--#include file = "ISOCurrencies.asp" -->

	Dim Width
	Dim BodyAttributes
	Dim FormAction
	Dim FormAttributes
	
	Dim SiteSecureBaseURL
    Dim Amount
    Dim CurrencyCode
    Dim OrderID
    Dim TransactionType
    Dim TransactionDateTime
    Dim OrderDescription
    Dim CustomerName
    Dim Address1
    Dim Address2
    Dim Address3
    Dim Address4
    Dim City
    Dim State
    Dim PostCode
    Dim CountryCode    
    Dim CallbackURL
    
    Dim StringToHash
	Dim HashDigest
	
	Width = 800
	BodyAttributes = ""
	FormAttributes = ""

	SiteSecureBaseURL = pfhPaymentFormHelper.getSiteSecureBaseURL()
	FormAction = SiteSecureBaseURL & "PaymentForm.asp"
	
%><!--#include file = "Templates/FormHeader.tpl" --><%

	' the amount in *minor* currency (i.e. 10.00 passed as "1000")
	Amount = CStr(1000)
	' the currency	- ISO 4217 3-digit numeric (e.g. GBP = 826)
	CurrencyCode = CStr(826)
	' order ID
	OrderID = "Order-1234"
	' the transaction type - can be SALE or PREAUTH
	TransactionType = "SALE"
	' the GMT/UTC relative date/time for the transaction (MUST either be in GMT/UTC 
	' or MUST include the correct timezone offset)
	TransactionDateTime = GetCurrentUTCDateTime()
	' order description
	OrderDescription = "A Test Order"
	' these variables allow the payment form to be "seeded" with initial values
	CustomerName = "A Customer"
	Address1 = "14 Some Address"
	Address2 = ""
	Address3 = ""
	Address4 = ""
	City = "Some City"
	State = "Some State"
	PostCode = "PO57 0DE"

	' the country code - ISO 3166-1  3-digit numeric (e.g. UK = 826)
	' PLEASE NOTE: This needs to remain as ISO Currency Code 826 at present
    CountryCode = CStr(826)

    CallbackURL = SiteSecureBaseURL + "PaymentForm.asp"
    
    StringToHash = pfhPaymentFormHelper.GenerateStringToHash(   Amount, _
                                                                CurrencyCode, _
                                                                OrderID, _
                                                                TransactionType, _
                                                                TransactionDateTime, _
                                                                CallbackURL, _
                                                                OrderDescription, _
                                                                CustomerName, _
                                                                Address1, _
                                                                Address2, _
                                                                Address3, _
                                                                Address4, _
                                                                City, _
                                                                State, _
                                                                PostCode, _
                                                                CountryCode, _
                                                                SecretKey)

	HashDigest = pfhPaymentFormHelper.CalculateHashDigest(StringToHash, SecretKey, HashMethod)

%>
<!--#include file = "Templates/StartHereForm.tpl" -->
<!--#include file = "Templates/FormFooter.tpl" -->
