<cfscript>
	
	// Will need to set these variables to valid a MerchantID and Password
	// These were obtained during sign up
	MerchantID = "Need Valid  MerchantID";
	Password = "Need Valid Password";
    
	// The domain ONLY for the hosted payment form - e.g. if the hosted payment form URL is
	// https://mms.paymentprocessor.net/Pages/PublicPages/PaymentForm.aspx, then the domain
	// will be "paymentprocessor.net"
	PaymentProcessorDomain = "payvector.net";

	// The chosen hash method - can be either "MD5", "SHA1"
	// Please Note: ColdFusion doesn’t support HMAC in earlier versions. 
	//		There are some custom libraries out there which may be of used to implement HMAC but we have not tested and subsequently do not make recommendations on any. 
	//		If you decide to use HMAC, you will need to add the necessary code to the CalculateHashDigest() function within the PaymentFormHelper file.
	// This method MUST match the hash method set for the merchant in the MMS
	HashMethod = "SHA1";

	// This is the SecretKey known to ONLY to this system
    // This is used to generate the Hash Keys that detect variable tampering
    // You should change this to something else
    SecretKey = "MySecretKey-ChangeMe";
    
	// This is the PreSharedKey known to both this system and the payment system
	// This MUST match the PreSharedKey set for the merchant in the MMS
	PreSharedKey = "Need Valid PreSharedKey";

</cfscript>