package net.mycompanyname;

public class TransactionResult
{
    private int m_nStatusCode;
    private String m_szMessage;
    private NullableInt m_nPreviousStatusCode;
    private String m_szPreviousMessage;
    private String m_szCrossReference;
    private int m_nAmount;
    private NullableInt m_nCurrencyCode;
    private String m_szOrderID;
    private String m_szTransactionType;
    private String m_szTransactionDateTime;
    private String m_szOrderDescription;
    private String m_szCustomerName;
    private String m_szAddress1;
    private String m_szAddress2;
    private String m_szAddress3;
    private String m_szAddress4;
    private String m_szCity;
    private String m_szState;
    private String m_szPostCode;
    private NullableInt m_nCountryCode;

    private String m_szAddressNumericCheckResult;
    private String m_szPostCodeCheckResult;
    private String m_szCV2CheckResult;
    private String m_szThreeDSecureAuthenticationCheckResult;
    private String m_szCardType;
    private String m_szCardClass;
    private String m_szCardIssuer;
    private NullableInt m_nCardIssuerCountryCode;
    private String m_szEmailAddress;
    private String m_szPhoneNumber;

    private String m_szACSURL;
    private String m_szPaREQ;
    private String m_szPaRES;
    private String m_szCallbackURL;

    public int getStatusCode()
    {
        return m_nStatusCode;
    }
    public void setStatusCode(int nStatusCode)
    {
        m_nStatusCode = nStatusCode;
    }
    public String getMessage()
    {
        return m_szMessage;
    }
    public void setMessage(String szMessage)
    {
        m_szMessage = szMessage;
    }
    public NullableInt getPreviousStatusCode()
    {
        return m_nPreviousStatusCode;
    }
    public void setPreviousStatusCode(NullableInt nPreviousStatusCode)
    {
        m_nPreviousStatusCode = nPreviousStatusCode;
    }
    public String getPreviousMessage()
    {
	return m_szPreviousMessage;
    }
    public void setPreviousMessage(String szPreviousMessage)
    {
        m_szPreviousMessage = szPreviousMessage;
    }
    public String getCrossReference()
    {
        return m_szCrossReference;
    }
    public void setCrossReference(String szCrossReference)
    {
        m_szCrossReference = szCrossReference;
    }
    public int getAmount()
    {
        return m_nAmount;
    }
    public void setAmount(int nAmount)
    {
        m_nAmount = nAmount;
    }
    public NullableInt getCurrencyCode()
    {
        return m_nCurrencyCode;
    }
    public void setCurrencyCode(NullableInt nCurrencyCode)
    {
        m_nCurrencyCode = nCurrencyCode;
    }
    public String getOrderID()
    {
        return m_szOrderID;
    }
    public void setOrderID(String szOrderID)
    {
        m_szOrderID = szOrderID;
    }
    public String getTransactionType()
    {
        return m_szTransactionType;
    }
    public void setTransactionType(String szTransactionType)
    {
        m_szTransactionType = szTransactionType;
    }
    public String getTransactionDateTime()
    {
        return m_szTransactionDateTime;
    }
    public void setTransactionDateTime(String szTransactionDateTime)
    {
        m_szTransactionDateTime = szTransactionDateTime;
    }
    public String getOrderDescription()
    {
        return m_szOrderDescription;
    }
    public void setOrderDescription(String szOrderDescription)
    {
        m_szOrderDescription = szOrderDescription;
    }
    public String getCustomerName()
    {
        return m_szCustomerName;
    }
    public void setCustomerName(String szCustomerName)
    {
        m_szCustomerName = szCustomerName;
    }
    public String getAddress1()
    {
        return m_szAddress1;
    }
    public void setAddress1(String szAddress1)
    {
        m_szAddress1 = szAddress1;
    }
    public String getAddress2()
    {
        return m_szAddress2;
    }
    public void setAddress2(String szAddress2)
    {
        m_szAddress2 = szAddress2;
    }
    public String getAddress3()
    {
        return m_szAddress3;
    }
    public void setAddress3(String szAddress3)
    {
        m_szAddress3 = szAddress3;
    }
    public String getAddress4()
    {
        return m_szAddress4;
    }
    public void setAddress4(String szAddress4)
    {
        m_szAddress4 = szAddress4;
    }
    public String getCity()
    {
        return m_szCity;
    }
    public void setCity(String szCity)
    {
        m_szCity = szCity;
    }
    public String getState()
    {
        return m_szState;
    }
    public void setState(String szState)
    {
        m_szState = szState;
    }
    public String getPostCode()
    {
        return m_szPostCode;
    }
    public void setPostCode(String szPostCode)
    {
        m_szPostCode = szPostCode;
    }
    public NullableInt getCountryCode()
    {
        return m_nCountryCode;
    }
    public void setCountryCode(NullableInt nCountryCode)
    {
        m_nCountryCode = nCountryCode;
    }

    public void setAddressNumericCheckResult(String szAddressNumericCheckResult) {
        m_szAddressNumericCheckResult = szAddressNumericCheckResult;
    }

    public String getAddressNumericCheckResult() {
        return m_szAddressNumericCheckResult;
    }

    public void setPostCodeCheckResult(String szPostCodeCheckResult) {
        m_szPostCodeCheckResult = szPostCodeCheckResult;
    }

    public String getPostCodeCheckResult() {
        return m_szPostCodeCheckResult;
    }

    public void setCV2CheckResult(String szCV2CheckResult) {
        m_szCV2CheckResult = szCV2CheckResult;
    }

    public String getCV2CheckResult() {
        return m_szCV2CheckResult;
    }

    public void setThreeDSecureAuthenticationCheckResult(String szThreeDSecureAuthenticationCheckResult) {
        m_szThreeDSecureAuthenticationCheckResult = szThreeDSecureAuthenticationCheckResult;
    }

    public String getThreeDSecureAuthenticationCheckResult() {
        return m_szThreeDSecureAuthenticationCheckResult;
    }

    public void setCardType(String szCardType) {
        m_szCardType = szCardType;
    }

    public String getCardType() {
        return m_szCardType;
    }

    public void setCardClass(String szCardClass) {
        m_szCardClass = szCardClass;
    }

    public String getCardClass() {
        return m_szCardClass;
    }

    public void setCardIssuer(String szCardIssuer) {
        m_szCardIssuer = szCardIssuer;
    }

    public String getCardIssuer() {
        return m_szCardIssuer;
    }

    public void setCardIssuerCountryCode(NullableInt nCardIssuerCountryCode) {
        m_nCardIssuerCountryCode = nCardIssuerCountryCode;
    }

    public NullableInt getCardIssuerCountryCode() {
        return m_nCardIssuerCountryCode;
    }

    public void setEmailAddress(String szEmailAddress) {
        m_szEmailAddress = szEmailAddress;
    }

    public String getEmailAddress() {
        return m_szEmailAddress;
    }

    public void setPhoneNumber(String szPhoneNumber) {
        m_szPhoneNumber = szPhoneNumber;
    }

    public String getPhoneNumber() {
        return m_szPhoneNumber;
    }

    public void setACSURL(String szACSURL) {
        m_szACSURL = szACSURL;
    }

    public String getACSURL() {
        return m_szACSURL;
    }

    public void setPaREQ(String szPaREQ) {
        m_szPaREQ = szPaREQ;
    }

    public String getPaREQ() {
        return m_szPaREQ;
    }

    public void setPaRES(String szPaRES) {
        m_szPaRES = szPaRES;
    }

    public String getPaRES() {
        return m_szPaRES;
    }

    public void setCallbackURL(String szCallbackURL) {
        m_szCallbackURL = szCallbackURL;
    }

    public String getCallbackURL() {
        return m_szCallbackURL;
    }

    public TransactionResult()
    {
        m_nCurrencyCode = new NullableInt();
        m_nCountryCode = new NullableInt();
        m_nPreviousStatusCode = new NullableInt();
        m_nCardIssuerCountryCode = new NullableInt();
    }
}