<jsp:useBean id="global" class="net.mycompanyname.Global" scope="application" />
<jsp:useBean id="paymentFormHelper" class="net.mycompanyname.PaymentFormHelper" scope="page" />
<jsp:useBean id="paymentForm" class="net.mycompanyname.PaymentForm" scope="page" />

<%
    int width;
    boolean duplicateTransaction;
    String message = "";
    String messageClass = "";
    String previousTransactionMessage = "";
    String siteSecureBaseURL = "";
    String displayAmount = "";

    net.mycompanyname.ListItemCollection expiryDateMonthList;
    net.mycompanyname.ListItemCollection expiryDateYearList;
    net.mycompanyname.ListItemCollection startDateMonthList;
    net.mycompanyname.ListItemCollection startDateYearList;
    net.mycompanyname.ListItemCollection ISOCountryList;

    String bodyAttributes = "";
    String formAttributes = "";
    String formAction = "";
    String hashDigest = "";

    paymentForm.preProcessPaymentForm(request, global);

    formAction = paymentForm.getFormAction();
    bodyAttributes = paymentForm.getBodyAttributes();
    formAttributes = paymentForm.getFormAttributes();

    width = 800;
    %><%@ include file="Templates/FormHeader.tpl" %><%

    switch (paymentForm.getFormModeEnum())
    {
        case net.mycompanyname.PaymentForm.FORM_MODE.RESULTS:

            message = paymentForm.getMessage();
            messageClass = paymentForm.getMessageClass();

            duplicateTransaction = paymentForm.getDuplicateTransaction();
            if (duplicateTransaction) {
                previousTransactionMessage = paymentForm.getPreviousTransactionMessage();
            }
            %><%@ include file="Templates/FinalResultsPanel.tpl" %><%
            break;
        case net.mycompanyname.PaymentForm.FORM_MODE.THREE_D_SECURE_AUTHENTICATION_REQUIRED:
            siteSecureBaseURL = paymentFormHelper.getSiteSecureBaseURL(request);
            %><%@ include file="Templates/3DSIFrame.tpl" %><%
            break;
	case net.mycompanyname.PaymentForm.FORM_MODE.PAYMENT_FORM:

            if (paymentForm.getMessage() != null &&
                !paymentForm.getMessage().equals(""))
            {
                %><%@ include file="Templates/ProcessingErrorResultsPanel.tpl" %><%
            }

            if (paymentForm.getSuppressFormDisplay() == false)
            {
		expiryDateMonthList = paymentFormHelper.createExpiryDateMonthListItemList(paymentForm.getExpiryDateMonth());
		expiryDateYearList = paymentFormHelper.createExpiryDateYearListItemList(paymentForm.getExpiryDateYear());
		startDateMonthList = paymentFormHelper.createStartDateMonthListItemList(paymentForm.getStartDateMonth());
		startDateYearList = paymentFormHelper.createStartDateYearListItemList(paymentForm.getStartDateYear());

		ISOCountryList = paymentFormHelper.createISOCountryListItemList();
                %><%@ include file="Templates/PaymentForm.tpl" %><%
            }
            break;
    }
%>
<%@ include file="Templates/FormFooter.tpl" %>
