<%@page import="net.mycompanyname.PaymentFormHelper"%>
<%@page import="java.text.SimpleDateFormat"%>
<%@page import="java.util.Date"%>

<jsp:useBean id="global" class="net.mycompanyname.Global" scope="application" />
<jsp:useBean id="paymentFormHelper" class="net.mycompanyname.PaymentFormHelper" scope="page" />
<%
    String MD;
    String paRES;
    int width;
    String bodyAttributes;
    String formAttributes;
    String formAction;
    String message;
    boolean errorOccurred;
    String shoppingCartHashDigest;
    String transactionDateTime;
    String callbackURL;
    String hashDigest;
    SimpleDateFormat dateFormat;


    bodyAttributes = "";
    errorOccurred = false;
    message = "";

    MD = "";
    paRES = "";
    transactionDateTime = "";
    callbackURL = "";
    hashDigest = "";

    formAction = "";
    formAttributes = "";
    width = 500;
    shoppingCartHashDigest = "";

    if (request.getParameter("MD") == null ||
        request.getParameter("PaRes") == null)
    {
        message = "There were errors collecting the responses back from the ACS";
        errorOccurred = true;
    }
    else
    {
        formAction = "https://mms." + global.getPaymentProcessorDomain() + "/Pages/PublicPages/TransparentRedirect.aspx";
        formAttributes = " target=\"_parent\"";
        bodyAttributes = " onload=\"document.Form.submit();\"";

        MD = request.getParameter("MD");
        paRES = request.getParameter("PaRes");

        dateFormat = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss Z");
        transactionDateTime = dateFormat.format(new Date());
        callbackURL = PaymentFormHelper.getSiteSecureBaseURL(request) + "PaymentForm.jsp";

        hashDigest = PaymentFormHelper.calculateHashDigest(
                PaymentFormHelper.GenerateStringToHash3DSecurePostAuthentication(
                    global.getMerchantID(), global.getPassword(), MD, transactionDateTime, callbackURL, paRES, global.getPreSharedKey(), global.getHashMethod()),
            global.getPreSharedKey(), global.getHashMethod());

}
%>
<%@ include file="Templates/FormHeader.tpl" %>
<%
    if (errorOccurred)
    {
%>
<%@ include file="Templates/ProcessingErrorResultsPanel.tpl" %>
<%
    }
    else
    {
%>
<%@ include file="Templates/3DSLandingForm.tpl" %>
<%
    }
%>
<%@ include file="Templates/FormFooter.tpl" %>