Imports System.Data
Imports System.Configuration
Imports System.Web
Imports System.Web.Security
Imports System.Web.UI
Imports System.Web.UI.WebControls
Imports System.Web.UI.WebControls.WebParts
Imports System.Web.UI.HtmlControls

''' <summary>
''' Summary description for Global
''' </summary>
Namespace MyCompanyName
	Public Class [Global]
		Inherits System.Web.HttpApplication
		Private Shared m_szPaymentProcessorDomain As String
		Private Shared m_szMerchantID As String
		Private Shared m_szPassword As String
		Private Shared m_szSecretKey As String
		Private Shared m_szPreSharedKey As String
		Private Shared m_hmHashMethod As HASH_METHOD

				'
				' TODO: Add constructor logic here
				'
		Public Sub New()
		End Sub
		Private Sub Application_Start(sender As Object, e As EventArgs)
			' Code that runs on application startup

			' get the MerchantID and Password from the config file
			m_szMerchantID = ConfigurationManager.AppSettings("MerchantID")
			m_szPassword = ConfigurationManager.AppSettings("Password")

			' work out the PaymentProcessorFullDomain
			m_szPaymentProcessorDomain = ConfigurationManager.AppSettings("PaymentProcessorDomain")

			' get the SecretKey
			m_szSecretKey = ConfigurationManager.AppSettings("SecretKey")

			' get the PreSharedKey
			m_szPreSharedKey = ConfigurationManager.AppSettings("PreSharedKey")

			' get the HashMethod
			m_hmHashMethod = PaymentFormHelper.GetHashMethod(ConfigurationManager.AppSettings("HashMethod"))

		End Sub

		Private Sub Application_End(sender As Object, e As EventArgs)
			'  Code that runs on application shutdown

		End Sub

		Private Sub Application_Error(sender As Object, e As EventArgs)
			' Code that runs when an unhandled error occurs

		End Sub

		Private Sub Session_Start(sender As Object, e As EventArgs)
			' Code that runs when a new session is started

		End Sub

		Private Sub Session_End(sender As Object, e As EventArgs)
			' Code that runs when a session ends. 
			' Note: The Session_End event is raised only when the sessionstate mode
			' is set to InProc in the Web.config file. If session mode is set to StateServer 
			' or SQLServer, the event is not raised.

		End Sub

		Public Shared ReadOnly Property PaymentProcessorDomain() As String
			Get
				Return (m_szPaymentProcessorDomain)
			End Get
		End Property
		Public Shared ReadOnly Property MerchantID() As String
			Get
				Return (m_szMerchantID)
			End Get
		End Property
		Public Shared ReadOnly Property Password() As String
			Get
				Return (m_szPassword)
			End Get
		End Property
		Public Shared ReadOnly Property SecretKey() As String
			Get
				Return (m_szSecretKey)
			End Get
		End Property
		Public Shared ReadOnly Property PreSharedKey() As String
			Get
				Return (m_szPreSharedKey)
			End Get
		End Property
		Public Shared ReadOnly Property HashMethod() As HASH_METHOD
			Get
				Return (m_hmHashMethod)
			End Get
		End Property
	End Class
End Namespace
