<%
	Class TransactionResult
		Private m_nStatusCode
		Private m_szMessage
		Private m_nPreviousStatusCode
		Private m_szPreviousMessage
		Private m_szCrossReference
		Private m_nAmount
		Private m_nCurrencyCode
		Private m_szOrderID
		Private m_szTransactionType
		Private m_szTransactionDateTime
		Private m_szOrderDescription
		Private m_szCustomerName
		Private m_szAddress1
		Private m_szAddress2
		Private m_szAddress3
		Private m_szAddress4
		Private m_szCity
		Private m_szState
		Private m_szPostCode
		Private m_nCountryCode

		Public Property Get StatusCode 
			StatusCode = m_nStatusCode
		End Property
		Public Property Let StatusCode(nStatusCode) 
			m_nStatusCode = nStatusCode 
		End Property
		Public Property Get Message 
			Message = m_szMessage
		End Property
		Public Property Let Message(szMessage)
			m_szMessage = szMessage
		End Property
		Public Property Get PreviousStatusCode
			PreviousStatusCode = m_nPreviousStatusCode
		End Property
		Public Property Let PreviousStatusCode(nPreviousStatusCode)
			m_nPreviousStatusCode = nPreviousStatusCode
		End Property
		Public Property Get PreviousMessage
			PreviousMessage = m_szPreviousMessage
		End Property
		Public Property Let PreviousMessage(szPreviousMessage)
			m_szPreviousMessage = szPreviousMessage
		End Property
		Public Property Get CrossReference
			CrossReference = m_szCrossReference
		End Property
		Public Property Let CrossReference(szCrossReference)
			m_szCrossReference = szCrossReference
		End Property
		Public Property Get Amount
			Amount = m_nAmount
		End Property
		Public Property Let Amount(nAmount)
			m_nAmount = nAmount
		End Property
		Public Property Get CurrencyCode
			CurrencyCode = m_nCurrencyCode
		End Property
		Public Property Let CurrencyCode(nCurrencyCode)
			m_nCurrencyCode = nCurrencyCode
		End Property
		Public Property Get OrderID
			OrderID = m_szOrderID
		End Property
		Public Property Let OrderID(szOrderID)
			m_szOrderID = szOrderID
		End Property
		Public Property Get TransactionType
			TransactionType = m_szTransactionType
		End Property
		Public Property Let TransactionType(szTransactionType)
			m_szTransactionType = szTransactionType
		End Property
		Public Property Get TransactionDateTime
			TransactionDateTime = m_szTransactionDateTime
		End Property
		Public Property Let TransactionDateTime(szTransactionDateTime)
			m_szTransactionDateTime = szTransactionDateTime
		End Property
		Public Property Get OrderDescription
			OrderDescription = m_szOrderDescription
		End Property
		Public Property Let OrderDescription(szOrderDescription)
			m_szOrderDescription = szOrderDescription
		End Property
		Public Property Get CustomerName
			CustomerName = m_szCustomerName
		End Property
		Public Property Let CustomerName(szCustomerName)
			m_szCustomerName = szCustomerName
		End Property
		Public Property Get Address1
			Address1 = m_szAddress1
		End Property
		Public Property Let Address1(szAddress1)
			m_szAddress1 = szAddress1
		End Property
		Public Property Get Address2
			Address2 = m_szAddress2
		End Property
		Public Property Let Address2(szAddress2)
			m_szAddress2 = szAddress2
		End Property
		Public Property Get Address3
			Address3 = m_szAddress3
		End Property
		Public Property Let Address3(szAddress3)
			m_szAddress3 = szAddress3
		End Property
		Public Property Get Address4
			Address4 = m_szAddress4
		End Property
		Public Property Let Address4(szAddress4)
			m_szAddress4 = szAddress4
		End Property
		Public Property Get City
			City = m_szCity
		End Property
		Public Property Let City(szCity)
			m_szCity = szCity
		End Property
		Public Property Get State
			State = m_szState
		End Property
		Public Property Let State(szState)
			m_szState = szState
		End Property
		Public Property Get PostCode
			PostCode = m_szPostCode
		End Property
		Public Property Let PostCode(szPostCode)
			m_szPostCode = szPostCode
		End Property
		Public Property Get CountryCode
			CountryCode = m_nCountryCode
		End Property
		Public Property Let CountryCode(nCountryCode)
			m_nCountryCode = nCountryCode
		End Property
	End Class

    Function URLEncode(szString) 
        URLEncode = Server.URLEncode(szString) 
    End Function

    Function URLDecode(szConvert)
        Dim aSplit
        Dim szOutput
        Dim nCount

        If IsNull(szConvert) Or szConvert = "" Then
           URLDecode = ""
           Exit Function
        End If

        ' convert all pluses to spaces
        szOutput = Replace(szConvert, "+", " ")

        ' next convert %hexdigits to the character
        aSplit = Split(szOutput, "%")

        If IsArray(aSplit) Then
          szOutput = aSplit(0)
          For nCount = 0 to UBound(aSplit) - 1
            szOutput = szOutput & _
              Chr("&H" & Left(aSplit(nCount + 1), 2)) &_
              Right(aSplit(nCount + 1), Len(aSplit(nCount + 1)) - 2)
          Next
        End If

        URLDecode = szOutput
    End Function

    Function ExistsInList(aList, szName)
        Dim szCurrentName
        Dim boFound

        boFound = False

        For Each szCurrentName In aList   
            If szCurrentName = szName Then
                boFound = True
                Exit For
            End If
        Next

        ExistsInList = boFound
    End Function

	Function BoolToString(boBool)
	    Dim szReturnValue
	    
        szReturnValue = ""

	    If boBool = True Then
	        szReturnValue = "True"
	    Else
	        szReturnValue = "False"
	    End If 
    	
        BoolToString = szReturnValue
	End Function
	
	Function StringToBool(szString) 
		Dim boReturnValue
		
		boReturnValue = False

		If UCase(szString) = "True" Then
			boReturnValue = True
		End If

    	StringToBool = boReturnValue
	End Function

	Function GetSiteSecureBaseURL()
		Dim szReturnString
		Dim szPortString
		Dim szProtocolString
        Dim boFinished
        Dim nLoopIndex

		szReturnString = ""
		szPortString = ""
		szProtocolString = ""

		If Request.ServerVariables("HTTPS") = "on" Then
			szProtocolString = "https://"
			If Request.ServerVariables("SERVER_PORT") <> 443 Then
				szPortString = ":" & Request.ServerVariables("SERVER_PORT")
			End If
		Else
			szProtocolString = "http://"			
			If Request.ServerVariables("SERVER_PORT") <> 80 Then
				szPortString = ":" & Request.ServerVariables("SERVER_PORT")
			End If
		End If

		szReturnString = szProtocolString & Request.ServerVariables("SERVER_NAME") & szPortString & Request.ServerVariables("SCRIPT_NAME")
		
		boFinished = False
		nLoopIndex = Len(szReturnString)

		While boFinished = False And nLoopIndex > 0
			If Mid(szReturnString, nLoopIndex, 1) = "/" Then
				boFinished = True
				szReturnString = Mid(szReturnString, 1, nLoopIndex)
			End If
        
			nLoopIndex = nLoopIndex - 1
		Wend

		GetSiteSecureBaseURL = szReturnString
	End Function

	Function GetTransactionReferenceFromQueryString(aQueryStringVariables, szCrossReference, szOrderID, szHashDigest, szOutputMessage)
		Dim boErrorOccurred 
		
		szHashDigest = ""
		szOutputMessage = ""
		boErrorOccurred = False			

		On Error Resume Next

		' hash digest
		If aQueryStringVariables("HashDigest") <> "" Then
			szHashDigest = aQueryStringVariables("HashDigest")
		End If

		' cross reference of transaction
		If aQueryStringVariables("CrossReference") = "" Then
			szOutputMessage = AddStringToStringList(szOutputMessage, "Expected variable [CrossReference] not received")
			boErrorOccurred = True
		Else
			szCrossReference = aQueryStringVariables("CrossReference")
		End If

		' order ID (same as value passed into payment form - echoed back out by payment form)
		If aQueryStringVariables("OrderID") = "" Then
			szOutputMessage = AddStringToStringList(szOutputMessage, "Expected variable [OrderID] not received")
			boErrorOccurred = True
		Else
			szOrderID = aQueryStringVariables("OrderID")
		End If

		If Err.Number <> 0 Then
            szOutputMessage = Err.Number & " (" & Err.Description & ")"
			boErrorOccurred = True
            Err.Clear
        End If

		GetTransactionReferenceFromQueryString = Not boErrorOccurred
	End Function

	Function GetTransactionResultFromPostVariables(aFormVariables, trTransactionResult, szHashDigest, szOutputMessage)
		Dim boErrorOccurred
        Dim nStatusCode
        Dim szMessage
        Dim nPreviousStatusCode
        Dim szPreviousMessage
        Dim szCrossReference
        Dim nAmount
        Dim nCurrencyCode
        Dim szOrderID
        Dim szTransactionType
        Dim szTransactionDateTime
        Dim szOrderDescription
        Dim szCustomerName
		Dim szAddress1
		Dim szAddress2
		Dim szAddress3
		Dim szAddress4
        Dim szCity
        Dim szState
        Dim szPostCode
        Dim nCountryCode

		Set trTransactionResult = Nothing
		szHashDigest = ""
		szOutputMessage = ""			
		boErrorOccurred = False

		On Error Resume Next

		' hash digest
		If ExistsInList(aFormVariables, "HashDigest") = True Then
			szHashDigest = aFormVariables("HashDigest")
		End If

		' transaction status code
		If ExistsInList(aFormVariables, "StatusCode") = False Then
			szOutputMessage = AddStringToStringList(szOutputMessage, "Expected variable [StatusCode] not received")
			boErrorOccurred = True
		Else
            If aFormVariables("StatusCode") = "" Then
                nStatusCode = ""
            Else
    			nStatusCode = CInt(aFormVariables("StatusCode"))
            End If
		End If

		' transaction message
		If ExistsInList(aFormVariables, "Message") = False Then
			szOutputMessage = AddStringToStringList(szOutputMessage, "Expected variable [Message] not received")
			boErrorOccurred = True
		Else
			szMessage = aFormVariables("Message")
		End If

		' status code of original transaction If this transaction was deemed a duplicate
		If ExistsInList(aFormVariables, "PreviousStatusCode") = False Then
			szOutputMessage = AddStringToStringList(szOutputMessage, "Expected variable [PreviousStatusCode] not received")
			boErrorOccurred = True
		Else
            If aFormVariables("PreviousStatusCode") = "" Then
                nPreviousStatusCode = ""
            Else
			    nPreviousStatusCode = CInt(aFormVariables("PreviousStatusCode"))
            End If
		End If

		' status code of original transaction If this transaction was deemed a duplicate
		If ExistsInList(aFormVariables, "PreviousMessage") = False Then
			szOutputMessage = AddStringToStringList(szOutputMessage, "Expected variable [PreviousMessage] not received")
			boErrorOccurred = True
		Else
			szPreviousMessage = aFormVariables("PreviousMessage")
		End If

		' cross reference of transaction
		If ExistsInList(aFormVariables, "CrossReference") = False Then
			szOutputMessage = AddStringToStringList(szOutputMessage, "Expected variable [CrossReference] not received")
			boErrorOccurred = True
		Else
			szCrossReference = aFormVariables("CrossReference")
		End If

		' amount (same as value passed into payment form - echoed back out by payment form)
		If ExistsInList(aFormVariables, "Amount") = False Then
			szOutputMessage = AddStringToStringList(szOutputMessage, "Expected variable [Amount] not received")
			boErrorOccurred = True
		Else
            If aFormVariables("Amount") = "" Then
                nAmount = ""
            Else
			    nAmount = CInt(aFormVariables("Amount"))
            End If
		End If

		' currency code (same as value passed into payment form - echoed back out by payment form)
		If ExistsInList(aFormVariables, "CurrencyCode") = False Then
			szOutputMessage = AddStringToStringList(szOutputMessage, "Expected variable [CurrencyCode] not received")
			boErrorOccurred = True
		Else
            If aFormVariables("CurrencyCode") = "" Then
                nCurrencyCode = ""
            Else
			    nCurrencyCode = CInt(aFormVariables("CurrencyCode"))
            End If
		End If

		' order ID (same as value passed into payment form - echoed back out by payment form)
		If ExistsInList(aFormVariables, "OrderID") = False Then
			szOutputMessage = AddStringToStringList(szOutputMessage, "Expected variable [OrderID] not received")
			boErrorOccurred = True
		Else
			szOrderID = aFormVariables("OrderID")
		End If

		' transaction type (same as value passed into payment form - echoed back out by payment form)
		If ExistsInList(aFormVariables, "TransactionType") = False Then
			szOutputMessage = AddStringToStringList(szOutputMessage, "Expected variable [TransactionType] not received")
			boErrorOccurred = True
		Else
			szTransactionType = aFormVariables("TransactionType")
        End If

		' transaction date/time (same as value passed into payment form - echoed back out by payment form)
		If ExistsInList(aFormVariables, "TransactionDateTime") = False Then
			szOutputMessage = AddStringToStringList(szOutputMessage, "Expected variable [TransactionDateTime] not received")
			boErrorOccurred = True
		Else
			szTransactionDateTime = aFormVariables("TransactionDateTime")
        End If

		' order description (same as value passed into payment form - echoed back out by payment form)
		If ExistsInList(aFormVariables, "OrderDescription") = False Then
			szOutputMessage = AddStringToStringList(szOutputMessage, "Expected variable [OrderDescription] not received")
			boErrorOccurred = True
		Else
			szOrderDescription = aFormVariables("OrderDescription")
        End If

		' customer name (not necessarily the same as value passed into payment form - as the customer can change it on the form)
		If ExistsInList(aFormVariables, "CustomerName") = False Then
			szOutputMessage = AddStringToStringList(szOutputMessage, "Expected variable [CustomerName] not received")
			boErrorOccurred = True
		Else
			szCustomerName = aFormVariables("CustomerName")
        End If

		' address1 (not necessarily the same as value passed into payment form - as the customer can change it on the form)
		If ExistsInList(aFormVariables, "Address1") = False Then
			szOutputMessage = AddStringToStringList(szOutputMessage, "Expected variable [Address1] not received")
			boErrorOccurred = True
		Else
			szAddress1 = aFormVariables("Address1")
		End If

		' address2 (not necessarily the same as value passed into payment form - as the customer can change it on the form)
		If ExistsInList(aFormVariables, "Address2") = False Then
			szOutputMessage = AddStringToStringList(szOutputMessage, "Expected variable [Address2] not received")
			boErrorOccurred = True
		Else
			szAddress2 = aFormVariables("Address2")
        End If

		' address3 (not necessarily the same as value passed into payment form - as the customer can change it on the form)
		If ExistsInList(aFormVariables, "Address3") = False Then
			szOutputMessage = AddStringToStringList(szOutputMessage, "Expected variable [Address3] not received")
			boErrorOccurred = True
		Else
			szAddress3 = aFormVariables("Address3")
        End If

		' address4 (not necessarily the same as value passed into payment form - as the customer can change it on the form)
		If ExistsInList(aFormVariables, "Address4") = False Then
			szOutputMessage = AddStringToStringList(szOutputMessage, "Expected variable [Address4] not received")
			boErrorOccurred = True
		Else
			szAddress4 = aFormVariables("Address4")
        End If

		' city (not necessarily the same as value passed into payment form - as the customer can change it on the form)
		If ExistsInList(aFormVariables, "City") = False Then
			szOutputMessage = AddStringToStringList(szOutputMessage, "Expected variable [City] not received")
			boErrorOccurred = True
		Else
			szCity = aFormVariables("City")
        End If

		' state (not necessarily the same as value passed into payment form - as the customer can change it on the form)
		If ExistsInList(aFormVariables, "State") = False Then
			szOutputMessage = AddStringToStringList(szOutputMessage, "Expected variable [State] not received")
			boErrorOccurred = True
		Else
			szState = aFormVariables("State")
        End If

		' post code (not necessarily the same as value passed into payment form - as the customer can change it on the form)
		If ExistsInList(aFormVariables, "PostCode") = False Then
			szOutputMessage = AddStringToStringList(szOutputMessage, "Expected variable [PostCode] not received")
			boErrorOccurred = True
		Else
			szPostCode = aFormVariables("PostCode")
        End If

		' country code (not necessarily the same as value passed into payment form - as the customer can change it on the form)
		If ExistsInList(aFormVariables, "CountryCode") = False Then
			szOutputMessage = AddStringToStringList(szOutputMessage, "Expected variable [CountryCode] not received")
			boErrorOccurred = True
		Else
            If aFormVariables("CountryCode") = "" Then
                nCountryCode = ""
            Else
			    nCountryCode = CInt(aFormVariables("CountryCode"))
            End If
		End If

		If boErrorOccurred = False Then
			Set trTransactionResult = new TransactionResult
			trTransactionResult.StatusCode = nStatusCode ' transaction status code
			trTransactionResult.Message = szMessage ' transaction message
			trTransactionResult.PreviousStatusCode = nPreviousStatusCode ' status code of original transaction If duplicate transaction
			trTransactionResult.PreviousMessage = szPreviousMessage ' status code of original transaction If duplicate transaction
			trTransactionResult.CrossReference = szCrossReference	' cross reference of transaction
			trTransactionResult.Amount = nAmount ' amount echoed back
			trTransactionResult.CurrencyCode = nCurrencyCode ' currency code echoed back
			trTransactionResult.OrderID = szOrderID ' order ID echoed back
			trTransactionResult.TransactionType = szTransactionType ' transaction type echoed back
			trTransactionResult.TransactionDateTime = szTransactionDateTime ' transaction date/time echoed back
			trTransactionResult.OrderDescription = szOrderDescription ' order description echoed back
			' the customer details that were actually
			' processed (might be different
			' from those passed to the payment form)
			trTransactionResult.CustomerName = szCustomerName
			trTransactionResult.Address1 = szAddress1
			trTransactionResult.Address2 = szAddress2
			trTransactionResult.Address3 = szAddress3
			trTransactionResult.Address4 = szAddress4
			trTransactionResult.City = szCity
			trTransactionResult.State = szState
			trTransactionResult.PostCode = szPostCode
			trTransactionResult.CountryCode = nCountryCode
		End If
		
		If Err.Number <> 0 Then
            szOutputMessage = Err.Number & " (" & Err.Description & ")"
			boErrorOccurred = True
            Err.Clear
        End If

		GetTransactionResultFromPostVariables = Not boErrorOccurred
	End Function

	Function AddStringToStringList(szExistingStringList, szStringToAdd)
		Dim szReturnString
		Dim szCommaString

		szReturnString = ""
		szCommaString = ""

		If Len(szStringToAdd) = 0 Then
			szReturnString = szExistingStringList
		Else
			If Len(szExistingStringList) <> 0 Then
				szCommaString = ", "
			End If
			szReturnString = szExistingStringList & szCommaString & szStringToAdd
		End If

		AddStringToStringList = szReturnString
	End Function

    Function CalculateHashDigest(szInputString, szPreSharedKey, szHashMethod)
		Dim hHasher
		Dim szHashDigest
		
        szHashDigest = ""

		Select Case szHashMethod
			Case "MD5"
                Set hHasher = GetObject("script:" & Server.MapPath("MD5.wsc"))
        		szHashDigest = hHasher.hex_md5(szInputString)
			case "SHA1"
                Set hHasher = GetObject("script:" & Server.MapPath("SHA1.wsc"))
        		szHashDigest = hHasher.hex_sha1(szInputString)
			case "HMACMD5"
                Set hHasher = GetObject("script:" & Server.MapPath("MD5.wsc"))
        		szHashDigest = hHasher.hex_hmac_md5(szPreSharedKey, szInputString)
			case "HMACSHA1"
                Set hHasher = GetObject("script:" & Server.MapPath("SHA1.wsc"))
        		szHashDigest = hHasher.hex_hmac_sha1(szPreSharedKey, szInputString)
		End Select

        CalculateHashDigest = szHashDigest
    End Function

    Function GenerateStringToHash(szMerchantID, _
    							  szPassword, _
    							  szAmount, _
								  szCurrencyCode, _
								  szOrderID, _
								  szTransactionType, _
								  szTransactionDateTime, _
								  szCallbackURL, _
								  szOrderDescription, _
								  szCustomerName, _
								  szAddress1, _
								  szAddress2, _
								  szAddress3, _
								  szAddress4, _
								  szCity, _
								  szState, _
								  szPostCode, _
								  szCountryCode, _
								  szCV2Mandatory, _
								  szAddress1Mandatory, _
								  szCityMandatory, _
								  szPostCodeMandatory, _
								  szStateMandatory, _
								  szCountryMandatory, _
								  szResultDeliveryMethod, _
								  szServerResultURL, _
								  szPaymentFormDisplaysResult, _
     		                      szPreSharedKey, _
     		                      szHashMethod)
		Dim szReturnString
        Dim boIncludePreSharedKeyInString
		
		szReturnString = ""

		Select Case szHashMethod
			Case "MD5"
				boIncludePreSharedKeyInString = True
			Case "SHA1"
				boIncludePreSharedKeyInString = True
			Case "HMACMD5"
				boIncludePreSharedKeyInString = False
			Case "HMACSHA1"
				boIncludePreSharedKeyInString = False
		End Select

		If boIncludePreSharedKeyInString = True Then
			szReturnString = "PreSharedKey=" & szPreSharedKey & "&"
		End If

		szReturnString = szReturnString & "MerchantID=" & szMerchantID & _
										  "&Password=" & szPassword & _
										  "&Amount=" & szAmount & _
										  "&CurrencyCode=" & szCurrencyCode & _
										  "&OrderID=" & szOrderID & _
										  "&TransactionType=" & szTransactionType & _
										  "&TransactionDateTime=" & szTransactionDateTime & _
										  "&CallbackURL=" & szCallbackURL & _
										  "&OrderDescription=" & szOrderDescription & _
										  "&CustomerName=" & szCustomerName & _
										  "&Address1=" & szAddress1 & _
										  "&Address2=" & szAddress2 & _
										  "&Address3=" & szAddress3 & _
										  "&Address4=" & szAddress4 & _
										  "&City=" & szCity & _
										  "&State=" & szState & _
										  "&PostCode=" & szPostCode & _
										  "&CountryCode=" & szCountryCode & _
										  "&CV2Mandatory=" & szCV2Mandatory & _
										  "&Address1Mandatory=" & szAddress1Mandatory & _
										  "&CityMandatory=" & szCityMandatory & _
										  "&PostCodeMandatory=" & szPostCodeMandatory & _
										  "&StateMandatory=" & szStateMandatory & _
										  "&CountryMandatory=" & szCountryMandatory & _
										  "&ResultDeliveryMethod=" & szResultDeliveryMethod & _
										  "&ServerResultURL=" & szServerResultURL & _
										  "&PaymentFormDisplaysResult=" & szPaymentFormDisplaysResult & _
										  "&ServerResultURLCookieVariables=" & _
										  "&ServerResultURLFormVariables=" & _
										  "&ServerResultURLQueryStringVariables="

        GenerateStringToHash = szReturnString
    End Function

    Function GenerateStringToHash2(szMerchantID, _
								   szPassword, _
								   trTransactionResult, _
     		                       szPreSharedKey, _
     		                       szHashMethod)
		Dim szReturnString
        Dim boIncludePreSharedKeyInString
		
		szReturnString = ""

		Select Case szHashMethod
			Case "MD5"
				boIncludePreSharedKeyInString = True
			Case "SHA1"
				boIncludePreSharedKeyInString = True
			Case "HMACMD5"
				boIncludePreSharedKeyInString = False
			Case "HMACSHA1"
				boIncludePreSharedKeyInString = False
		End Select

		If boIncludePreSharedKeyInString = True Then
			szReturnString = "PreSharedKey=" & szPreSharedKey & "&"
		End If

		szReturnString = szReturnString & "MerchantID=" & szMerchantID & _
										  "&Password=" & szPassword & _
										  "&StatusCode=" & trTransactionResult.StatusCode & _
										  "&Message=" & trTransactionResult.Message & _
										  "&PreviousStatusCode=" & trTransactionResult.PreviousStatusCode & _
										  "&PreviousMessage=" & trTransactionResult.PreviousMessage & _
										  "&CrossReference=" & trTransactionResult.CrossReference & _
										  "&Amount=" & trTransactionResult.Amount & _
										  "&CurrencyCode=" & trTransactionResult.CurrencyCode & _
										  "&OrderID=" & trTransactionResult.OrderID & _
										  "&TransactionType=" & trTransactionResult.TransactionType & _
										  "&TransactionDateTime=" & trTransactionResult.TransactionDateTime & _
										  "&OrderDescription=" & trTransactionResult.OrderDescription & _
										  "&CustomerName=" & trTransactionResult.CustomerName & _
										  "&Address1=" & trTransactionResult.Address1 & _
										  "&Address2=" & trTransactionResult.Address2 & _
										  "&Address3=" & trTransactionResult.Address3 & _
										  "&Address4=" & trTransactionResult.Address4 & _
										  "&City=" & trTransactionResult.City & _
										  "&State=" & trTransactionResult.State & _
										  "&PostCode=" & trTransactionResult.PostCode & _
										  "&CountryCode=" & trTransactionResult.CountryCode

        GenerateStringToHash2 = szReturnString
    End Function

    Function GenerateStringToHash3(szMerchantID, _
								   szPassword, _
								   szCrossReference, _
								   szOrderID, _
     		                       szPreSharedKey, _
     		                       szHashMethod)
		Dim szReturnString
        Dim boIncludePreSharedKeyInString
		
		szReturnString = ""

		Select Case szHashMethod
			Case "MD5"
				boIncludePreSharedKeyInString = True
			Case "SHA1"
				boIncludePreSharedKeyInString = True
			Case "HMACMD5"
				boIncludePreSharedKeyInString = False
			Case "HMACSHA1"
				boIncludePreSharedKeyInString = False
		End Select

		If boIncludePreSharedKeyInString = True Then
			szReturnString = "PreSharedKey=" & szPreSharedKey & "&"
		End If

		szReturnString = szReturnString & "MerchantID=" & szMerchantID & _
										  "&Password=" & szPassword & _
										  "&CrossReference=" & szCrossReference & _
										  "&OrderID=" & szOrderID

        GenerateStringToHash3 = szReturnString
    End Function

	Function ValidateTransactionResult_POST(szMerchantID, _
											szPassword, _
											szPreSharedKey, _
											szHashMethod, _
											aPostVariables, _
											trTransactionResult, _
											szValidateErrorMessage)
		Dim boErrorOccurred
        Dim szHashDigest
        Dim szOutputMessage
        Dim szStringToHash
        Dim szCalculatedHashDigest
		
		boErrorOccurred = False

		szValidateErrorMessage = ""
		Set trTransactionResult = Nothing

		' read the transaction result variables from the post variable list
		If GetTransactionResultFromPostVariables(aPostVariables, trTransactionResult, szHashDigest, szOutputMessage) = False Then
			boErrorOccurred = True
			szValidateErrorMessage = szOutputMessage
		Else
			' now need to validate the hash digest
			szStringToHash = GenerateStringToHash2(szMerchantID, szPassword, trTransactionResult, szPreSharedKey, szHashMethod)
			szCalculatedHashDigest = CalculateHashDigest(szStringToHash, szPreSharedKey, szHashMethod)
		
			' does the calculated hash match the one that was passed?
			If UCase(szHashDigest) <> UCase(szCalculatedHashDigest) Then
				boErrorOccurred = True
				szValidateErrorMessage = "Hash digests don't match - possible variable tampering"
			Else
				boErrorOccurred = False
			End If
		End If

		ValidateTransactionResult_POST = Not boErrorOccurred
	End Function

	Function ValidateTransactionResult_SERVER(szMerchantID, _ 
											  szPassword,  _
											  szPreSharedKey, _
											  szHashMethod, _
											  aQueryStringVariables, _
											  trTransactionResult, _
											  szValidateErrorMessage)
		boErrorOccurred = False

		szValidateErrorMessage = ""
		Set trTransactionResult = Nothing

		' read the transaction reference variables from the query string variable list
		If GetTransactionReferenceFromQueryString(aQueryStringVariables, szCrossReference, szOrderID, szHashDigest, szOutputMessage) = False Then
			boErrorOccurred = True
			szValidateErrorMessage = szOutputMessage
		Else
			' now need to validate the hash digest
			szStringToHash = GenerateStringToHash3(szMerchantID, szPassword, szCrossReference, szOrderID, szPreSharedKey, szHashMethod)
			szCalculatedHashDigest = CalculateHashDigest(szStringToHash, szPreSharedKey, szHashMethod)
		
			' does the calculated hash match the one that was passed?
			If UCase(szHashDigest) <> UCase(szCalculatedHashDigest) Then
				boErrorOccurred = True
				szValidateErrorMessage = "Hash digests don't match - possible variable tampering"
			Else
				' use the cross reference and/or the order ID to pull the
				' transaction results out of storage
				If GetTransactionResultFromStorage(szCrossReference, _
												   szOrderID, _
												   trTransactionResult, _
												   szOutputMessage) = False Then
					szValidateErrorMessage = szOutputMessage
					boErrorOccurred = True
				Else
					boErrorOccurred = False
				End If
			End If
		End If

		ValidateTransactionResult_SERVER = Not boErrorOccurred
    End Function

	Function ValidateTransactionResult_SERVER_PULL(szMerchantID, _
												   szPassword, _
												   szPreSharedKey, _
												   szHashMethod, _
												   aQueryStringVariables, _
												   szPaymentFormResultHandlerURL, _
												   trTransactionResult, _
												   szValidateErrorMessage)
		Dim boErrorOccurred
        Dim szCrossReference
        Dim szOrderID
        Dim szHashDigest
        Dim szStringToHash
        Dim szOutputMessage
        Dim szCalculatedHashDigest
		
		boErrorOccurred = False

		szValidateErrorMessage = ""
		Set trTransactionResult = Nothing

		' read the transaction reference variables from the query string variable list
		If GetTransactionReferenceFromQueryString(aQueryStringVariables, szCrossReference, szOrderID, szHashDigest, szOutputMessage) = False Then
			boErrorOccurred = True
			szValidateErrorMessage = szOutputMessage
		Else
			' now need to validate the hash digest
			szStringToHash = GenerateStringToHash3(szMerchantID, szPassword, szCrossReference, szOrderID, szPreSharedKey, szHashMethod)
			szCalculatedHashDigest = CalculateHashDigest(szStringToHash, szPreSharedKey, szHashMethod)
		
			' does the calculated hash match the one that was passed?
			If UCase(szHashDigest) <> UCase(szCalculatedHashDigest) Then
				boErrorOccurred = True
				szValidateErrorMessage = "Hash digests don't match - possible variable tampering"
			Else
				' use the cross reference and/or the order ID to pull the
				' transaction results out of storage
				If GetTransactionResultFromPaymentFormHandler(szPaymentFormResultHandlerURL, _
															  szMerchantID, _
															  szPassword, _
															  szCrossReference, _
															  trTransactionResult, _
															  szOutputMessage) = False Then
					szValidateErrorMessage = "Error querying transaction result (" & szCrossReference & ") from (" & szPaymentFormResultHandlerURL & "): " & szOutputMessage
					boErrorOccurred = True
				Else
					boErrorOccurred = False
				End If
			End If
		End If

		ValidateTransactionResult_SERVER_PULL = Not boErrorOccurred
	End Function

	Function ParseNameValueStringIntoArray(szNameValueString, boURLDecodeValues)
		Dim szName
        Dim szValue
        Dim aPostVariables
        Dim aParsedVariables
        Dim nCount
        Dim aSingleVariable
		
		' break the reponse into an array
		' first break the variables up using the "&" delimter
	    aPostVariables = Split(szNameValueString, "&")
	
	    Set aParsedVariables = Server.CreateObject("Scripting.Dictionary")

	    For nCount = 0 To UBound(aPostVariables)
			' for each variable, split is again on the "=" delimiter
			' to give name/value pairs	
            aSingleVariable = Split(aPostVariables(nCount), "=")

            szName = aSingleVariable(0)
			If boURLDecodeValues = False Then
				szValue = aSingleVariable(1)
			Else
				szValue = URLDecode(aSingleVariable(1))
			End If
		    aParsedVariables.Add szName, szValue
	    Next

		Set ParseNameValueStringIntoArray = aParsedVariables
	End Function

	Function GetTransactionResultFromPaymentFormHandler(szPaymentFormResultHandlerURL, _
														szMerchantID, _
														szPassword, _
														szCrossReference, _
														trTransactionResult, _
														szOutputMessage)
		Dim boErrorOccurred
        Dim XMLHTTP
        Dim szPostString
        Dim szResponse
        Dim aParsedPostVariables
        Dim aTransactionResultArray
        Dim szHashDigest
        Dim szErrorMessage
		
		boErrorOccurred = False
		szOutputMessage = ""
		Set trTransactionResult = Nothing

		On Error Resume Next
		
		' build up the post string
		szPostString = "MerchantID=" & URLEncode(szMerchantID) & "&Password=" & URLEncode(szPassword) & "&CrossReference=" & URLEncode(szCrossReference)

		' use XMLHTTP to post the cross reference to the
		' payment form to query its status
	    Set XMLHTTP = Server.CreateObject("Microsoft.XMLHTTP")
	    XMLHTTP.Open "POST", szPaymentFormResultHandlerURL, False
	    XMLHTTP.setRequestHeader "Content-Type", "application/x-www-form-urlencoded"
	    XMLHTTP.Send szPostString
	    szResponse = XMLHTTP.responseText
		
		If szResponse = "" Then
			boErrorOccurred = True
			szOutputMessage = "Received empty response from payment form hander"
		Else
			' parse the response into an array
			Set aParsedPostVariables = ParseNameValueStringIntoArray(szResponse, True)

			If aParsedPostVariables("StatusCode") = "" OR CInt(aParsedPostVariables("StatusCode")) <> 0 Then
				boErrorOccurred = True

				' the message field is expected If the status code is non-zero
				If aParsedPostVariables("Message") = "" Then
					szOutputMessage = "Received invalid response from payment form hander (" & szResponse & ")"
				Else
					szOutputMessage = aParsedPostVariables("Message")
				End If
			Else
				' status code is 0, so	get the transaction result
				If aParsedPostVariables("TransactionResult") = "" Then
					boErrorOccurred = True
					szOutputMessage = "No transaction result in response from payment form hander (" & szResponse & ")"
				Else
					' parse the URL decoded transaction result field into a name value array
					Set aTransactionResultArray = ParseNameValueStringIntoArray(URLDecode(aParsedPostVariables("TransactionResult")), False)

					' parse this array into a transaction result object
					If GetTransactionResultFromPostVariables(aTransactionResultArray, trTransactionResult, szHashDigest, szErrorMessage) = False Then
						boErrorOccurred = True
						szOutputMessage = "Error (" & szErrorMessage & ") parsing transaction result (" & URLDecode(aParsedPostVariables("TransactionResult")) & ") in response from payment form hander (" & szResponse & ")"
					Else
						boErrorOccurred = False
					End If
				End If
			End If
			
            If Err.Number <> 0 Then
				boErrorOccurred = True
				szOutputMessage = "Exception (" & Err.Number & " (" & Err.Description & ")" & ") when processing response from payment form handler (" & szResponse & ")"
                Err.Clear
			End If
		End If
		
		If Err.Number <> 0 Then
			boErrorOccurred = True
			szOutputMessage = Err.Number & " (" & Err.Description & ")"
            Err.Clear
		End If

		GetTransactionResultFromPaymentFormHandler = Not boErrorOccurred
	End Function

    ' These functions that are run to deal with storing and retrieving the
	' transaction results. They will be specific to the merchant environment, so cannot
	' be generalised. The developer MUST implement these functions

	' This Function needs to be able to retrieve the saved transaction resultt
	' so that the result can be displayed to the customer
	Function GetTransactionResultFromStorage(szCrossReference, _
											 szOrderID, _
											 trTransactionResult, _
											 szOutputMessage)
		boErrorOccurred = True
		szOutputMessage = "Environment specific function GetTransactionResultFromStorage() needs to be implemented by merchant developer"
		Set trTransactionResult = Nothing

		GetTransactionResultFromStorage = Not boErrorOccurred
	End Function

	' You should put your code that does any post transaction tasks
	' (e.g. updates the order object, sends the customer an email etc) in this function
    Function ReportTransactionResults(trTransactionResult, _
									  szOutputMessage)
		Dim boErrorOccurred
		
		boErrorOccurred = True
		szOutputMessage = "Environment specific function ReportTransactionResults() needs to be implemented by merchant developer"

		On Error Resume Next

		Select Case trTransactionResult.StatusCode
			' transaction authorised
			Case 0
			' card referred (treat as decline)
			Case 4
			' transaction declined
			Case 5
			' duplicate transaction
			Case 20
				' need to look at the previous status code to see If the
				' transaction was successful
				If trTransactionResult.PreviousStatusCode = 0 Then
					' transaction authorised
				Else
					' transaction not authorised
                End If
			' error occurred
			Case 30
			Case Else
		End Select

		' put code to update/store the order with the transaction result
		If Err.Number <> 0 Then
			boErrorOccurred = True
			szOutputMessage = Err.Number & " (" & Err.Description & ")"
            Err.Clear
        End If

		ReportTransactionResults = Not boErrorOccurred
    End Function
%>