package net.mycompanyname;

public class TransactionResult
{
    private int m_nStatusCode;
    private String m_szMessage;
    private NullableInt m_nPreviousStatusCode;
    private String m_szPreviousMessage;
    private String m_szCrossReference;
    private int m_nAmount;
    private int m_nCurrencyCode;
    private String m_szOrderID;
    private String m_szTransactionType;
    private String m_szTransactionDateTime;
    private String m_szOrderDescription;
    private String m_szCustomerName;
    private String m_szAddress1;
    private String m_szAddress2;
    private String m_szAddress3;
    private String m_szAddress4;
    private String m_szCity;
    private String m_szState;
    private String m_szPostCode;
    private NullableInt m_nCountryCode;

    public int getStatusCode() 
    { 
        return m_nStatusCode; 
    }
    public void setStatusCode(int nStatusCode) 
    { 
        m_nStatusCode = nStatusCode; 
    }
    public String getMessage() 
    { 
        return m_szMessage; 
    }
    public void setMessage(String szMessage)
    {
        m_szMessage = szMessage;
    }
    public NullableInt getPreviousStatusCode()
    {
        return m_nPreviousStatusCode;
    }
    public void setPreviousStatusCode(NullableInt nPreviousStatusCode)
    {
        m_nPreviousStatusCode = nPreviousStatusCode;
    }
    public String getPreviousMessage()
    {
	return m_szPreviousMessage;
    }
    public void setPreviousMessage(String szPreviousMessage)
    {
        m_szPreviousMessage = szPreviousMessage;
    }
    public String getCrossReference()
    {
        return m_szCrossReference;
    }
    public void setCrossReference(String szCrossReference)
    {
        m_szCrossReference = szCrossReference;
    }
    public int getAmount()
    {
        return m_nAmount;
    }
    public void setAmount(int nAmount)
    {
        m_nAmount = nAmount;
    }
    public int getCurrencyCode()
    {
        return m_nCurrencyCode;
    }
    public void setCurrencyCode(int nCurrencyCode)
    {
        m_nCurrencyCode = nCurrencyCode;
    }
    public String getOrderID()
    {
        return m_szOrderID;
    }
    public void setOrderID(String szOrderID)
    {
        m_szOrderID = szOrderID;
    }
    public String getTransactionType()
    {
        return m_szTransactionType;
    }
    public void setTransactionType(String szTransactionType)
    {
        m_szTransactionType = szTransactionType;
    }
    public String getTransactionDateTime()
    {
        return m_szTransactionDateTime;
    }
    public void setTransactionDateTime(String szTransactionDateTime)
    {
        m_szTransactionDateTime = szTransactionDateTime;
    }
    public String getOrderDescription()
    {
        return m_szOrderDescription;
    }
    public void setOrderDescription(String szOrderDescription)
    {
        m_szOrderDescription = szOrderDescription;
    }
    public String getCustomerName()
    {
        return m_szCustomerName;
    }
    public void setCustomerName(String szCustomerName)
    {
        m_szCustomerName = szCustomerName;
    }
    public String getAddress1()
    {
        return m_szAddress1;
    }
    public void setAddress1(String szAddress1)
    {
        m_szAddress1 = szAddress1;
    }
    public String getAddress2()
    {
        return m_szAddress2;
    }
    public void setAddress2(String szAddress2)
    {
        m_szAddress2 = szAddress2;
    }
    public String getAddress3()
    {
        return m_szAddress3;
    }
    public void setAddress3(String szAddress3)
    {
        m_szAddress3 = szAddress3;
    }
    public String getAddress4()
    {
        return m_szAddress4;
    }
    public void setAddress4(String szAddress4)
    {
        m_szAddress4 = szAddress4;
    }
    public String getCity()
    {
        return m_szCity;
    }
    public void setCity(String szCity)
    {
        m_szCity = szCity;
    }
    public String getState()
    {
        return m_szState;
    }
    public void setState(String szState)
    {
        m_szState = szState;
    }
    public String getPostCode()
    {
        return m_szPostCode;
    }
    public void setPostCode(String szPostCode)
    {
        m_szPostCode = szPostCode;
    }
    public NullableInt getCountryCode()
    {
        return m_nCountryCode;
    }
    public void setCountryCode(NullableInt nCountryCode)
    {
        m_nCountryCode = nCountryCode;
    }
    public TransactionResult()
    {
        m_nCountryCode = new NullableInt();
        m_nPreviousStatusCode = new NullableInt();
    }
}