Imports System.Web
Imports System.Text
Imports MyCompanyName

Public Class ReceiveTransactionResult
    Implements IHttpHandler
    Public ReadOnly Property IsReusable() As Boolean Implements IHttpHandler.IsReusable
        Get
            Return False
        End Get
    End Property

    Public Sub ProcessRequest(hcHttpContext As HttpContext) Implements IHttpHandler.ProcessRequest
        Dim sbOutputString As StringBuilder
        Dim nStatusCode As Integer = 30
        Dim szMessage As String = ""
        Dim szHashDigest As String
        Dim trTransactionResult As TransactionResult
        Dim szUpdateOrderMessage As String

        sbOutputString = New StringBuilder()

        Try
            If Not PaymentFormHelper.GetTransactionResultFromPostVariables(hcHttpContext.Request.Form, trTransactionResult, szHashDigest, szMessage) Then
                nStatusCode = 30
            Else
                If Not PaymentFormHelper.ReportTransactionResults(trTransactionResult, szUpdateOrderMessage) Then
                    nStatusCode = 30
                    szMessage = szMessage & szUpdateOrderMessage
                Else
                    nStatusCode = 0
                End If
            End If
        Catch exc As Exception
            nStatusCode = 30
            szMessage = exc.Message
        Finally
            If nStatusCode <> 0 AndAlso [String].IsNullOrEmpty(szMessage) Then
                szMessage = "Unknown error"
            End If
        End Try

        hcHttpContext.Response.ContentType = "text/plain"
        sbOutputString.AppendFormat("StatusCode={0}&Message={1}", nStatusCode, szMessage)
        hcHttpContext.Response.Write(sbOutputString.ToString())
    End Sub
End Class