<!--#include file = "UTCDateTime.asp" -->
<%
    Dim pfhPaymentFormHelper
    Set pfhPaymentFormHelper = New PaymentFormHelper

	Class TransactionResult
		Private m_nStatusCode
		Private m_szMessage
		Private m_nPreviousStatusCode
		Private m_szPreviousMessage
		Private m_szCrossReference
		Private m_nAmount
		Private m_nCurrencyCode
		Private m_szOrderID
		Private m_szTransactionType
		Private m_szTransactionDateTime
		Private m_szOrderDescription
		Private m_szCustomerName
		Private m_szAddress1
		Private m_szAddress2
		Private m_szAddress3
		Private m_szAddress4
		Private m_szCity
		Private m_szState
		Private m_szPostCode
		Private m_nCountryCode

        private m_szAddressNumericCheckResult
        private m_szPostCodeCheckResult
        private m_szCV2CheckResult
        private m_szThreeDSecureAuthenticationCheckResult
        private m_szCardType
        private m_szCardClass
        private m_szCardIssuer
        private m_nCardIssuerCountryCode
        private m_szEmailAddress
        private m_szPhoneNumber

        private m_szACSURL
        private m_szPaREQ
        private m_szPaRES
        private m_szCallbackURL


		Public Property Get StatusCode 
			StatusCode = m_nStatusCode
		End Property
		Public Property Let StatusCode(nStatusCode) 
			m_nStatusCode = nStatusCode 
		End Property
		Public Property Get Message 
			Message = m_szMessage
		End Property
		Public Property Let Message(szMessage)
			m_szMessage = szMessage
		End Property
		Public Property Get PreviousStatusCode
			PreviousStatusCode = m_nPreviousStatusCode
		End Property
		Public Property Let PreviousStatusCode(nPreviousStatusCode)
			m_nPreviousStatusCode = nPreviousStatusCode
		End Property
		Public Property Get PreviousMessage
			PreviousMessage = m_szPreviousMessage
		End Property
		Public Property Let PreviousMessage(szPreviousMessage)
			m_szPreviousMessage = szPreviousMessage
		End Property
		Public Property Get CrossReference
			CrossReference = m_szCrossReference
		End Property
		Public Property Let CrossReference(szCrossReference)
			m_szCrossReference = szCrossReference
		End Property
		Public Property Get Amount
			Amount = m_nAmount
		End Property
		Public Property Let Amount(nAmount)
			m_nAmount = nAmount
		End Property
		Public Property Get CurrencyCode
			CurrencyCode = m_nCurrencyCode
		End Property
		Public Property Let CurrencyCode(nCurrencyCode)
			m_nCurrencyCode = nCurrencyCode
		End Property
		Public Property Get OrderID
			OrderID = m_szOrderID
		End Property
		Public Property Let OrderID(szOrderID)
			m_szOrderID = szOrderID
		End Property
		Public Property Get TransactionType
			TransactionType = m_szTransactionType
		End Property
		Public Property Let TransactionType(szTransactionType)
			m_szTransactionType = szTransactionType
		End Property
		Public Property Get TransactionDateTime
			TransactionDateTime = m_szTransactionDateTime
		End Property
		Public Property Let TransactionDateTime(szTransactionDateTime)
			m_szTransactionDateTime = szTransactionDateTime
		End Property
		Public Property Get OrderDescription
			OrderDescription = m_szOrderDescription
		End Property
		Public Property Let OrderDescription(szOrderDescription)
			m_szOrderDescription = szOrderDescription
		End Property
		Public Property Get CustomerName
			CustomerName = m_szCustomerName
		End Property
		Public Property Let CustomerName(szCustomerName)
			m_szCustomerName = szCustomerName
		End Property
		Public Property Get Address1
			Address1 = m_szAddress1
		End Property
		Public Property Let Address1(szAddress1)
			m_szAddress1 = szAddress1
		End Property
		Public Property Get Address2
			Address2 = m_szAddress2
		End Property
		Public Property Let Address2(szAddress2)
			m_szAddress2 = szAddress2
		End Property
		Public Property Get Address3
			Address3 = m_szAddress3
		End Property
		Public Property Let Address3(szAddress3)
			m_szAddress3 = szAddress3
		End Property
		Public Property Get Address4
			Address4 = m_szAddress4
		End Property
		Public Property Let Address4(szAddress4)
			m_szAddress4 = szAddress4
		End Property
		Public Property Get City
			City = m_szCity
		End Property
		Public Property Let City(szCity)
			m_szCity = szCity
		End Property
		Public Property Get State
			State = m_szState
		End Property
		Public Property Let State(szState)
			m_szState = szState
		End Property
		Public Property Get PostCode
			PostCode = m_szPostCode
		End Property
		Public Property Let PostCode(szPostCode)
			m_szPostCode = szPostCode
		End Property
		Public Property Get CountryCode
			CountryCode = m_nCountryCode
		End Property
		Public Property Let CountryCode(nCountryCode)
			m_nCountryCode = nCountryCode
		End Property
        Public Property Let AddressNumericCheckResult(szAddressNumericCheckResult)
            m_szAddressNumericCheckResult = szAddressNumericCheckResult
        End Property
        Public Property Get AddressNumericCheckResult
            AddressNumericCheckResult = m_szAddressNumericCheckResult
        End Property
        Public Property Let PostCodeCheckResult(szPostCodeCheckResult)
            m_szPostCodeCheckResult = szPostCodeCheckResult
        End Property
        Public Property Get PostCodeCheckResult
            PostCodeCheckResult = m_szPostCodeCheckResult
        End Property
        Public Property Let CV2CheckResult(szCV2CheckResult)
            m_szCV2CheckResult = szCV2CheckResult
        End Property
        Public Property Get CV2CheckResult
            CV2CheckResult = m_szCV2CheckResult
        End Property
        Public Property Let ThreeDSecureAuthenticationCheckResult(szThreeDSecureAuthenticationCheckResult)
            m_szThreeDSecureAuthenticationCheckResult = szThreeDSecureAuthenticationCheckResult
        End Property
        Public Property Get ThreeDSecureAuthenticationCheckResult
            ThreeDSecureAuthenticationCheckResult = m_szThreeDSecureAuthenticationCheckResult
        End Property
        Public Property Let CardType(szCardType)
            m_szCardType = szCardType
        End Property
        Public Property Get CardType
            CardType = m_szCardType
        End Property
        Public Property Let CardClass(szCardClass)
            m_szCardClass = szCardClass
        End Property
        Public Property Get CardClass
            CardClass = m_szCardClass
        End Property
        Public Property Let CardIssuer(szCardIssuer)
            m_szCardIssuer = szCardIssuer
        End Property
        Public Property Get CardIssuer
            CardIssuer = m_szCardIssuer
        End Property
        Public Property Let CardIssuerCountryCode(nCardIssuerCountryCode)
            m_nCardIssuerCountryCode = nCardIssuerCountryCode
        End Property
        public property Get CardIssuerCountryCode
            CardIssuerCountryCode = m_nCardIssuerCountryCode
        End Property
        Public Property Let EmailAddress(szEmailAddress)
            m_szEmailAddress = szEmailAddress
        End Property
        Public Property Get EmailAddress
            EmailAddress= m_szEmailAddress
        End Property
        Public Property Let PhoneNumber(szPhoneNumber)
            m_szPhoneNumber = szPhoneNumber
        End Property
        Public Property Get PhoneNumber
            PhoneNumber = m_szPhoneNumber
        End Property
        Public Property Let ACSURL(szACSURL)
            m_szACSURL = szACSURL
        End Property
        Public Property Get ACSURL
            ACSURL = m_szACSURL
        End Property
        Public Property Let PaREQ(szPaREQ)
            m_szPaREQ = szPaREQ
        End Property
        Public Property Get PaREQ
            PaREQ = m_szPaREQ
        End Property
        Public Property Let PaRES(szPaRES)
            m_szPaRES = szPaRES
        End Property
        Public Property Get PaRES
            PaRES = m_szPaRES
        End Property
        Public Property Let CallbackURL(szCallbackURL)
            m_szCallbackURL = szCallbackURL
        End Property
        Public Property Get CallbackURL
            CallbackURL = m_szCallbackURL
        End Property
	End Class


	Class ListItemList
	
		Private m_lilListItemList
                
        Public Function getCount()
        
            getCount = m_lilListItemList.Count
        
        End Function
        
        Public Function getAt(nIndex)

            set getAt = m_lilListItemList.Item(nIndex)
        
        End Function
            
        Public Function add(Name, Value, boIsSelected)
        
            Dim liListItem 
			Set liListItem = New ListItem
            
            Call liListItem.Initialize(Name, Value, boIsSelected)

            Call m_lilListItemList.add(liListItem)
        
        End Function

        Public Function toString()
        
            Dim ReturnString
            Dim LoopIndex       
            Dim liListItem      
            
			ReturnString = ""
			
            For LoopIndex = 0 To m_lilListItemList.Count - 1
                
                Set liListItem = m_lilListItemList.Item(LoopIndex)
                
                ReturnString = ReturnString & "<option"

                If (Not IsNull(liListItem.getValue()) And _
                    liListItem.getValue() <> "") Then

                    ReturnString = ReturnString & " value=""" & liListItem.getValue() & """"

                End If
                    
                If (liListItem.getIsSelected() = True) Then
                
                    ReturnString = ReturnString & " selected=""selected"""
                
                End If

                ReturnString = ReturnString & ">" & liListItem.getName() & "</option>\n"
            
            Next

            toString = ReturnString

        End Function

        Public Sub Class_Initialize()
            Set m_lilListItemList = Server.CreateObject("System.Collections.ArrayList")
        End Sub
		
	End Class

	Class ListItem

		Private m_Name 
        Private m_Value
        Private m_boIsSelected 
        
        'public properties
        Public Function getName()
            getName = m_Name
        End Function
        
        Public Function getValue()
            getValue = m_Value
        End Function
        
        Public Function getIsSelected()
            getIsSelected = m_boIsSelected
        End Function
            
        'constructor
        Public Sub Initialize(Name, Value, boIsSelected)
        
            m_Name = Name
            m_Value = Value
            m_boIsSelected = boIsSelected
			
        End Sub
		
	End Class

	Class PaymentFormHelper
	
        Public trTransactionResult

		Function GetSiteSecureBaseURL()

			Dim ReturnString
			Dim PortString
			Dim ProtocolString
			Dim boFinished
			Dim LoopIndex

			ReturnString = ""
			PortString = ""
			ProtocolString = ""

			If Request.ServerVariables("HTTPS") = "on" Then
				ProtocolString = "https://"
				If Request.ServerVariables("SERVER_PORT") <> 443 Then
					PortString = ":" & Request.ServerVariables("SERVER_PORT")
				End If
			Else
				ProtocolString = "http://"			
				If Request.ServerVariables("SERVER_PORT") <> 80 Then
					PortString = ":" & Request.ServerVariables("SERVER_PORT")
				End If
			End If

			ReturnString = ProtocolString & Request.ServerVariables("SERVER_NAME") & PortString & Request.ServerVariables("SCRIPT_NAME")
			
			boFinished = False
			LoopIndex = Len(ReturnString)

			While boFinished = False And LoopIndex > 0
				If Mid(ReturnString, LoopIndex, 1) = "/" Then
					boFinished = True
					ReturnString = Mid(ReturnString, 1, LoopIndex)
				End If
			
				LoopIndex = LoopIndex - 1
			Wend

			GetSiteSecureBaseURL = ReturnString

		End Function
        
		Public Function CreateExpiryDateMonthListItemList(ExpiryDateMonth)
				
			Dim LoopIndex               
			Dim DisplayMonth            
			Dim lilExpiryDateMonthList  
			
			Set lilExpiryDateMonthList = New ListItemList
			
			For LoopIndex = 1 To 12
			
				DisplayMonth = LoopIndex

				If (LoopIndex < 10) Then
					DisplayMonth = "0" & LoopIndex
				End If
				
				If (ExpiryDateMonth <> "" And _
					ExpiryDateMonth = LoopIndex) Then
				
					Call lilExpiryDateMonthList.add(DisplayMonth, DisplayMonth, True)

				Else
				
					Call lilExpiryDateMonthList.add(DisplayMonth, DisplayMonth, False)
				
				End If
			
			Next

			Set CreateExpiryDateMonthListItemList = lilExpiryDateMonthList

		End Function

		Public Function CreateExpiryDateYearListItemList(ExpiryDateYear)

			Dim nThisYear 
			Dim nThisYearPlusTen
			Dim lilExpiryDateYearList   
			Dim LoopIndex               
			Dim ShortYear               
			
			nThisYear = CInt(Year(Date))
			nThisYearPlusTen = nThisYear + 10
			
			Set lilExpiryDateYearList = New ListItemList
			
			For LoopIndex = nThisYear To nThisYearPlusTen
				ShortYear = Right(LoopIndex, 2)
                
				If (CInt(ShortYear) = CInt(ExpiryDateYear)) Then

					Call lilExpiryDateYearList.add(CStr(LoopIndex), ShortYear, True)
				
				Else
				
					Call lilExpiryDateYearList.add(CStr(LoopIndex), ShortYear, False)
				End If

			Next
					
			Set CreateExpiryDateYearListItemList = lilExpiryDateYearList
			
		End Function
			
		Public Function CreateStartDateMonthListItemList(StartDateMonth)
					
			Dim LoopIndex               
			Dim DisplayMonth            
			Dim lilStartDateMonthList   
			
			Set lilStartDateMonthList = New ListItemList
			
			For LoopIndex = 1 To 12
			
				DisplayMonth = CStr(LoopIndex)
				
				If (LoopIndex < 10) Then
					DisplayMonth = "0" & LoopIndex
				End If
				
				If (StartDateMonth <> "" And _
					StartDateMonth = LoopIndex) Then
				
					Call lilStartDateMonthList.add(DisplayMonth, DisplayMonth, True)
				
				Else
				
					Call lilStartDateMonthList.add(DisplayMonth, DisplayMonth, False)
				
				End If
			
			Next
			
			Set CreateStartDateMonthListItemList = lilStartDateMonthList

		End Function
			
		Public Function CreateStartDateYearListItemList(StartDateYear)

			Dim nThisYear                
			Dim nThisYearPlusTen         
			Dim lilStartDateYearList    
			Dim LoopIndex               
			Dim ShortYear               
			
			nThisYear = CInt(Year(Date))
			nThisYearPlusTen = nThisYear + 10
				
			Set lilStartDateYearList = New ListItemList
			
			For LoopIndex = nThisYear To nThisYearPlusTen

				ShortYear = CStr(Right(LoopIndex, 2))
				
				If (StartDateYear = ShortYear) Then
				
					Call lilStartDateYearList.add(CStr(LoopIndex), ShortYear, True)
				
				Else
				
					Call lilStartDateYearList.add(CStr(LoopIndex), ShortYear, False)
				End If

			Next
					
			Set CreateStartDateYearListItemList = lilStartDateYearList
			
		End Function
			
		Public Function CreateISOCountryListItemList()

			Dim lilISOCountryList       
			Set lilISOCountryList = New ListItemList

            Call lilISOCountryList.add("United Kingdom", "826", True)
            
            ' TODO ISOCOUNTRY LOOP
			
            Set CreateISOCountryListItemList = lilISOCountryList

		End Function

		Function GenerateStringToHash(  szAmount, _
								        szCurrencyCode, _
								        szOrderID, _
								        szTransactionType, _
								        szTransactionDateTime, _
								        szCallbackURL, _
								        szOrderDescription, _
								        szCustomerName, _
								        szAddress1, _
								        szAddress2, _
								        szAddress3, _
								        szAddress4, _
								        szCity, _
								        szState, _
								        szPostCode, _
								        szCountryCode, _
     		                            szSecretKey)
		    Dim szReturnString
		    szReturnString = ""

		    szReturnString =    "&Amount=" & szAmount & _
							    "&CurrencyCode=" & szCurrencyCode & _
							    "&OrderID=" & szOrderID & _
							    "&TransactionType=" & szTransactionType & _
							    "&TransactionDateTime=" & szTransactionDateTime & _
							    "&CallbackURL=" & szCallbackURL & _
							    "&OrderDescription=" & szOrderDescription & _
							    "&CustomerName=" & szCustomerName & _
							    "&Address1=" & szAddress1 & _
							    "&Address2=" & szAddress2 & _
							    "&Address3=" & szAddress3 & _
							    "&Address4=" & szAddress4 & _
							    "&City=" & szCity & _
							    "&State=" & szState & _
							    "&PostCode=" & szPostCode & _
							    "&CountryCode=" & szCountryCode & _
                                "&SecretKey=" & szSecretKey

            GenerateStringToHash = szReturnString
        End Function
		Public Function GenerateStringToHashInitial(szHashMethod, szPreSharedKey, szMerchantID, szPassword, szAmount, szCurrencyCode, szOrderID, szTransactionType, szTransactionDateTime, szCallbackURL, szOrderDescription)
        

            Dim szReturnString

            If (IncludePreSharedKeyInString(szHashMethod)) Then
                szReturnString = "PreSharedKey=" & szPreSharedKey & "&"
            End If

            szReturnString = szReturnString &   "MerchantID=" & szMerchantID & _
                                                "&Password=" & szPassword & _
                                                "&Amount=" & szAmount & _
                                                "&CurrencyCode=" & szCurrencyCode & _
                                                "&OrderID=" & szOrderID & _
                                                "&TransactionType=" & szTransactionType & _
                                                "&TransactionDateTime=" & szTransactionDateTime & _
                                                "&CallbackURL=" & szCallbackURL & _
                                                "&OrderDescription=" & szOrderDescription

            GenerateStringToHashInitial = szReturnString
        End Function

        Public Function GenerateStringToHash3DSecureAuthenticationRequired(trTransactionResult, szHashMethod, szPreSharedKey, szMerchantID, szPassword)
        

            Dim szReturnString

            If (IncludePreSharedKeyInString(szHashMethod)) Then
                szReturnString = "PreSharedKey=" & szPreSharedKey & "&"
            End If

            szReturnString = szReturnString &   "MerchantID=" & szMerchantID & _
                                                "&Password=" & szPassword & _
                                                "&StatusCode=" & trTransactionResult.StatusCode() & _
                                                "&Message=" & trTransactionResult.Message() & _
                                                "&CrossReference=" & trTransactionResult.CrossReference() & _
                                                "&OrderID=" & trTransactionResult.OrderID() & _
                                                "&TransactionDateTime=" & trTransactionResult.TransactionDateTime() & _
                                                "&ACSURL=" & trTransactionResult.ACSUrl() & _
                                                "&PaREQ=" & trTransactionResult.PaREQ()

            GenerateStringToHash3DSecureAuthenticationRequired = szReturnString
        
        End Function

        Public Function GenerateStringToHash3DSecurePostAuthentication(szHashMethod, szPreSharedKey, szMerchantID, szPassword, szCrossReference, szTransactionDateTime, szCallbackURL, szPaRES)
        

            Dim szReturnString

            If (IncludePreSharedKeyInString(szHashMethod)) Then
                szReturnString = "PreSharedKey=" & szPreSharedKey & "&"
            End If

            szReturnString = szReturnString &   "MerchantID=" & szMerchantID & _
                                                "&Password=" & szPassword & _
                                                "&CrossReference=" & szCrossReference & _
                                                "&TransactionDateTime=" & szTransactionDateTime & _
                                                "&CallbackURL=" & szCallbackURL & _
                                                "&PaRES=" & szPaRES

            GenerateStringToHash3DSecurePostAuthentication = szReturnString

        End Function        

        Public Function GenerateStringToHashPaymentComplete(trTransactionResult, szHashMethod, szPreSharedKey, szMerchantID, szPassword)
        

            Dim szReturnString

            If (IncludePreSharedKeyInString(szHashMethod)) Then
                szReturnString = "PreSharedKey=" & szPreSharedKey & "&"
            End If

            szReturnString = szReturnString &   "MerchantID=" & szMerchantID & _
                                                "&Password=" & szPassword &  _
                                                "&StatusCode=" & trTransactionResult.StatusCode() &  _
                                                "&Message=" & trTransactionResult.Message() &  _
                                                "&PreviousStatusCode=" & trTransactionResult.PreviousStatusCode() &  _
                                                "&PreviousMessage=" & trTransactionResult.PreviousMessage() & _
                                                "&CrossReference=" & trTransactionResult.CrossReference() & _ 
                                                "&AddressNumericCheckResult=" & trTransactionResult.AddressNumericCheckResult() &  _
                                                "&PostCodeCheckResult=" & trTransactionResult.PostCodeCheckResult() &  _
                                                "&CV2CheckResult=" & trTransactionResult.CV2CheckResult() &  _
                                                "&ThreeDSecureAuthenticationCheckResult=" & trTransactionResult.ThreeDSecureAuthenticationCheckResult() & _
                                                "&CardType=" & trTransactionResult.CardType() &  _
                                                "&CardClass=" & trTransactionResult.CardClass() &  _
                                                "&CardIssuer=" & trTransactionResult.CardIssuer() &  _
                                                "&CardIssuerCountryCode=" & trTransactionResult.CardIssuerCountryCode() &  _
                                                "&Amount=" & trTransactionResult.Amount() &  _
                                                "&CurrencyCode=" & trTransactionResult.CurrencyCode() &  _
                                                "&OrderID=" & trTransactionResult.OrderID() &  _
                                                "&TransactionType=" & trTransactionResult.TransactionType() &  _
                                                "&TransactionDateTime=" & trTransactionResult.TransactionDateTime() & _
                                                "&OrderDescription=" & trTransactionResult.OrderDescription() &  _
                                                "&Address1=" & trTransactionResult.Address1() &  _
                                                "&Address2=" & trTransactionResult.Address2() & _
                                                "&Address3=" & trTransactionResult.Address3() & _
                                                "&Address4=" & trTransactionResult.Address4() & _
                                                "&City=" & trTransactionResult.City() &  _
                                                "&State=" & trTransactionResult.State() & _
                                                "&PostCode=" & trTransactionResult.PostCode() &  _
                                                "&CountryCode=" & trTransactionResult.CountryCode() &  _
                                                "&EmailAddress=" & trTransactionResult.EmailAddress() & _
                                                "&PhoneNumber=" & trTransactionResult.PhoneNumber()

            GenerateStringToHashPaymentComplete = szReturnString
        
        End Function

		Public Function CheckIntegrityOfIncomingVariables(ivsIncomingVariableSource, _
														    aVariables())

            Dim boReturnValue
            Dim szMessage
            Dim szStringToHash
            Dim IncomingHashDigest
            Dim HashDigest

            Select Case (ivsIncomingVariableSource)
            
                Case "SHOPPING_CART_CHECKOUT"
                    IncomingHashDigest = aVariables("ShoppingCartHashDigest")

                    szStringToHash = GenerateStringToHash(  aVariables("Amount"), _
                                                            aVariables("CurrencyCode"), _
                                                            aVariables("OrderID"), _
                                                            aVariables("TransactionType"), _
                                                            aVariables("TransactionDateTime"), _
                                                            aVariables("CallbackURL"), _
                                                            aVariables("OrderDescription"), _
                                                            aVariables("CustomerName"), _
                                                            aVariables("Address1"), _
                                                            aVariables("Address2"), _
                                                            aVariables("Address3"), _
                                                            aVariables("Address4"), _
                                                            aVariables("City"), _
                                                            aVariables("State"), _
                                                            aVariables("PostCode"), _
                                                            aVariables("CountryCode"), _
                                                            SecretKey)

                    HashDigest = CalculateHashDigest(szStringToHash, SecretKey, HashMethod)

                Case "THREE_D_SECURE_AUTHENTICATION_REQUIRED"

                    szStringToHash = null

                    If (Get3DSecureAuthenticationRequiredFromPostVariables(aVariables, _
                                                                            IncomingHashDigest, _
                                                                            szMessage)) Then

                        szStringToHash = GenerateStringToHash3DSecureAuthenticationRequired(trTransactionResult, HashMethod, PreSharedKey, MerchantID, Password)
                        HashDigest = CalculateHashDigest(szStringToHash, PreSharedKey, HashMethod)
                    
                    End If

                Case "RESULTS"

                    If (GetTransactionCompleteResultFromPostVariables(aVariables, _
                                                                        IncomingHashDigest, _
                                                                        szMessage)) Then

                        szStringToHash = GenerateStringToHashPaymentComplete(trTransactionResult, HashMethod, PreSharedKey, MerchantID, Password )

                        HashDigest = CalculateHashDigest(szStringToHash, PreSharedKey, HashMethod)

                    End If

            End Select

            ' check the hash digest
            If (HashDigest = IncomingHashDigest) Then
                boReturnValue = True
            End If

            CheckIntegrityOfIncomingVariables = boReturnValue
        
        End Function
        Private Function Get3DSecureAuthenticationRequiredFromPostVariables(aVariables, ByRef szHashDigest, ByRef szErrorMessage)
        
            Dim boErrorActive
            
            boErrorActive = false

            Set trTransactionResult = New TransactionResult

            ' hash digest
            If (Not IsEmpty(aVariables("HashDigest"))) Then
                
                szHashDigest = aVariables("HashDigest")
                
            End If

            ' transaction status code
            If (IsEmpty(aVariables("StatusCode"))) Then
                
                szErrorMessage = addStringToStringList(szErrorMessage, "Expected variable [StatusCode] not received")
                boErrorActive = true
                
            Else
                
                If (aVariables("StatusCode") = "") Then
                    
                    trTransactionResult.StatusCode = null
                    
                Else
                    
                    trTransactionResult.StatusCode = aVariables("StatusCode")
                End If
            End If
                
            ' transaction message
            If (IsEmpty(aVariables("Message"))) Then
                
                szErrorMessage = addStringToStringList(szErrorMessage, "Expected variable [Message] not received")
                boErrorActive = true
                
            Else
                
                trTransactionResult.Message = aVariables("Message")
            End If

            ' cross reference of transaction
            If (IsEmpty(aVariables("CrossReference"))) Then
                
                szErrorMessage = addStringToStringList(szErrorMessage, "Expected variable [CrossReference] not received")
                boErrorActive = true
                
            Else
                
                trTransactionResult.CrossReference = aVariables("CrossReference")
            End If

            ' currency code (same as value passed into payment form - echoed back out by payment form)
            ' order ID (same as value passed into payment form - echoed back out by payment form)
            If (IsEmpty(aVariables("OrderID"))) Then
                
                szErrorMessage = addStringToStringList(szErrorMessage, "Expected variable [OrderID] not received")
                boErrorActive = true
                
            Else
                
                trTransactionResult.OrderID = aVariables("OrderID")
            End If

            ' transaction date/time (same as value passed into payment form - echoed back out by payment form)
            If (IsEmpty(aVariables("TransactionDateTime"))) Then
                
                szErrorMessage = addStringToStringList(szErrorMessage, "Expected variable [TransactionDateTime] not received")
                boErrorActive = true
                
            Else
                
                trTransactionResult.TransactionDateTime = aVariables("TransactionDateTime")
            End If

            ' order description (same as value passed into payment form - echoed back out by payment form)
            If (IsEmpty(aVariables("ACSURL"))) Then
                
                szErrorMessage = addStringToStringList(szErrorMessage, "Expected variable [ACSURL] not received")
                boErrorActive = true
                
            Else
                
                trTransactionResult.ACSUrl = aVariables("ACSURL")
            End If

            ' address1 (not necessarily the same as value passed into payment form - as the customer can change it on the form)
            If (IsEmpty(aVariables("PaREQ"))) Then
                
                szErrorMessage = addStringToStringList(szErrorMessage, "Expected variable [PaREQ] not received")
                boErrorActive = true
                
            Else
                
                trTransactionResult.PaREQ = aVariables("PaREQ")
                
            End If

            Get3DSecureAuthenticationRequiredFromPostVariables = Not boErrorActive
        
        End Function

        Private Function Get3DSecurePostAuthenticationFromPostVariables(aVariables, ByRef szErrorMessage)

            Dim boErrorActive
            boErrorActive = false

            Set trTransactionResult = New TransactionResult

            ' cross reference of transaction
            If (IsEmpty(aVariables("MD"))) Then
            
                szErrorMessage = addStringToStringList(szErrorMessage, "Expected variable [MD] not received")
                boErrorActive = true
            
            Else
            
                //trTransactionResult.CrossReference = aVariables("MD")
                szCrossReference = aVariables("MD")
            End If

            If (IsEmpty(aVariables("PaRes"))) Then
            
                szErrorMessage = addStringToStringList(szErrorMessage, "Expected variable [PaRes] not received")
                boErrorActive = true
            
            Else
            
                //trTransactionResult.PaRES = aVariables("PaRes")
                szPaRES = aVariables("PaRes")
            End If            

            Get3DSecurePostAuthenticationFromPostVariables = Not boErrorActive
        
        End Function

        Private Function GetTransactionCompleteResultFromPostVariables(aVariables, ByRef szHashDigest, ByRef szErrorMessage)

            Dim boErrorActive 
            boErrorActive = false

            Set trTransactionResult = New TransactionResult

            ' hash digest
            If (Not IsEmpty(aVariables("HashDigest"))) Then
            
                szHashDigest = aVariables("HashDigest")
            End If

            ' transaction status code
            If (IsEmpty(aVariables("StatusCode"))) Then
            
                szErrorMessage = addStringToStringList(szErrorMessage, "Expected variable [StatusCode] not received")
                boErrorActive = true
            
            Else
            
                If (aVariables("StatusCode") = "") Then
                
                    trTransactionResult.StatusCode = null
                
                Else
                
                    trTransactionResult.StatusCode = aVariables("StatusCode")
                End If
            End If
            
            ' transaction message
            If (IsEmpty(aVariables("Message"))) Then
            
                szErrorMessage = addStringToStringList(szErrorMessage, "Expected variable [Message] not received")
                boErrorActive = true
            
            Else
            
                trTransactionResult.Message = aVariables("Message")
            End If

            ' status code of original transaction If this transaction was deemed a duplicate
            If (IsEmpty(aVariables("PreviousStatusCode"))) Then
            
                szErrorMessage = addStringToStringList(szErrorMessage, "Expected variable [PreviousStatusCode] not received")
                boErrorActive = true
            
            Else
            
                If (aVariables("PreviousStatusCode") = "") Then
                
                    trTransactionResult.PreviousStatusCode = null
                
                Else
                
                    trTransactionResult.PreviousStatusCode = aVariables("PreviousStatusCode")
                End If
            End If
            
            ' status code of original transaction If this transaction was deemed a duplicate
            If (IsEmpty(aVariables("PreviousMessage"))) Then
            
                szErrorMessage = addStringToStringList(szErrorMessage, "Expected variable [PreviousMessage] not received")
                boErrorActive = true
            
            Else
            
                trTransactionResult.PreviousMessage = aVariables("PreviousMessage")
                
            End If

            ' cross reference of transaction
            If (IsEmpty(aVariables("CrossReference"))) Then
            
                szErrorMessage = addStringToStringList(szErrorMessage, "Expected variable [CrossReference] not received")
                boErrorActive = true
            
            Else
            
                trTransactionResult.CrossReference = aVariables("CrossReference")
            
            End If

            ' amount (same as value passed into payment form - echoed back out by payment form)
            If (IsEmpty(aVariables("Amount"))) Then
            
                szErrorMessage = addStringToStringList(szErrorMessage, "Expected variable [Amount] not received")
                boErrorActive = true
            
            Else
            
                If (aVariables("Amount") = "") Then
                
                    trTransactionResult.Amount = NULL
                
                Else
                
                    trTransactionResult.Amount = aVariables("Amount")
                
                End If
            End If

            If (IsEmpty(aVariables("CurrencyCode"))) Then
            
                szErrorMessage = addStringToStringList(szErrorMessage, "Expected variable [CurrencyCode] not received")
                boErrorActive = true
            
            Else
            
                If (aVariables("CurrencyCode") = "") Then
                
                    trTransactionResult.CurrencyCode = NULL
                
                Else
                
                    trTransactionResult.CurrencyCode = aVariables("CurrencyCode")
                
                End If
            End If
            
            ' currency code (same as value passed into payment form - echoed back out by payment form)
            ' order ID (same as value passed into payment form - echoed back out by payment form)
            If (IsEmpty(aVariables("OrderID"))) Then
            
                szErrorMessage = addStringToStringList(szErrorMessage, "Expected variable [OrderID] not received")
                boErrorActive = true
            
            Else
            
                trTransactionResult.OrderID = aVariables("OrderID")
            
            End If

            ' transaction type (same as value passed into payment form - echoed back out by payment form)
            If (IsEmpty(aVariables("TransactionType"))) Then
            
                szErrorMessage = addStringToStringList(szErrorMessage, "Expected variable [TransactionType] not received")
                boErrorActive = true
            
            Else
            
                trTransactionResult.TransactionType = aVariables("TransactionType")
            End If

            ' transaction date/time (same as value passed into payment form - echoed back out by payment form)
            If (IsEmpty(aVariables("TransactionDateTime"))) Then
            
                szErrorMessage = addStringToStringList(szErrorMessage, "Expected variable [TransactionDateTime] not received")
                boErrorActive = true
            
            Else
            
                trTransactionResult.TransactionDateTime = aVariables("TransactionDateTime")
            End If

            ' order description (same as value passed into payment form - echoed back out by payment form)
            If (IsEmpty(aVariables("OrderDescription"))) Then
            
                szErrorMessage = addStringToStringList(szErrorMessage, "Expected variable [OrderDescription] not received")
                boErrorActive = true
            
            Else
            
                trTransactionResult.OrderDescription = aVariables("OrderDescription")
            End If

            ' address1 (not necessarily the same as value passed into payment form - as the customer can change it on the form)
            If (IsEmpty(aVariables("Address1"))) Then
            
                szErrorMessage = addStringToStringList(szErrorMessage, "Expected variable [Address1] not received")
                boErrorActive = true
            
            Else
            
                trTransactionResult.Address1 = aVariables("Address1")
            End If

            ' address2 (not necessarily the same as value passed into payment form - as the customer can change it on the form)
            If (IsEmpty(aVariables("Address2"))) Then
            
                szErrorMessage = addStringToStringList(szErrorMessage, "Expected variable [Address2] not received")
                boErrorActive = true
            
            Else
            
                trTransactionResult.Address2 = aVariables("Address2")
            End If

            ' address3 (not necessarily the same as value passed into payment form - as the customer can change it on the form)
            If (IsEmpty(aVariables("Address3"))) Then
            
                szErrorMessage = addStringToStringList(szErrorMessage, "Expected variable [Address3] not received")
                boErrorActive = true
            
            Else
            
                trTransactionResult.Address3 = aVariables("Address3")
            End If

            ' address4 (not necessarily the same as value passed into payment form - as the customer can change it on the form)
            If (IsEmpty(aVariables("Address4"))) Then
            
                szErrorMessage = addStringToStringList(szErrorMessage, "Expected variable [Address4] not received")
                boErrorActive = true
            
            Else
            
                trTransactionResult.Address4 = aVariables("Address4")
            End If

            ' city (not necessarily the same as value passed into payment form - as the customer can change it on the form)
            If (IsEmpty(aVariables("City"))) Then
            
                szErrorMessage = addStringToStringList(szErrorMessage, "Expected variable [City] not received")
                boErrorActive = true
            
            Else
            
                trTransactionResult.City = aVariables("City")
            End If

            ' state (not necessarily the same as value passed into payment form - as the customer can change it on the form)
            If (IsEmpty(aVariables("State"))) Then
            
                szErrorMessage = addStringToStringList(szErrorMessage, "Expected variable [State] not received")
                boErrorActive = true
            
            Else
            
                trTransactionResult.State = aVariables("State")
            End If

            ' post code (not necessarily the same as value passed into payment form - as the customer can change it on the form)
            If (IsEmpty(aVariables("PostCode"))) Then
            
                szErrorMessage = addStringToStringList(szErrorMessage, "Expected variable [PostCode] not received")
                boErrorActive = true
            
            Else
            
                trTransactionResult.PostCode = aVariables("PostCode")
            End If

            ' country code (not necessarily the same as value passed into payment form - as the customer can change it on the form)
            If (IsEmpty(aVariables("CountryCode"))) Then
            
                szErrorMessage = addStringToStringList(szErrorMessage, "Expected variable [CountryCode]mail not received")
                boErrorActive = true
            
            Else
            
                If (aVariables("CountryCode") = "") Then
                
                    trTransactionResult.CountryCode = NULL
                
                Else
                
                    trTransactionResult.CountryCode = aVariables("CountryCode")
                End If
            End If
            

            If (IsEmpty(aVariables("AddressNumericCheckResult"))) Then
            
                szErrorMessage = addStringToStringList(szErrorMessage, "Expected variable [AddressNumericCheckResult] not received")
                boErrorActive = true
            
            Else
            
                If (aVariables("AddressNumericCheckResult") = "") Then
                
                    trTransactionResult.AddressNumericCheckResult = null
                
                Else
                
                    trTransactionResult.AddressNumericCheckResult = aVariables("AddressNumericCheckResult")
                End If
            End If
            
            If (IsEmpty(aVariables("PostCodeCheckResult"))) Then
            
                szErrorMessage = addStringToStringList(szErrorMessage, "Expected variable [PostCodeCheckResult] not received")
                boErrorActive = true
            
            Else
            
                If (aVariables("PostCodeCheckResult") = "") Then
                
                    trTransactionResult.PostCodeCheckResult = null
                
                Else
                
                    trTransactionResult.PostCodeCheckResult = aVariables("PostCodeCheckResult")
                End If
            End If
            
            If (IsEmpty(aVariables("CV2CheckResult"))) Then
            
                szErrorMessage = addStringToStringList(szErrorMessage, "Expected variable [CV2CheckResult] not received")
                boErrorActive = true
            
            Else
            
                If (aVariables("CV2CheckResult") = "") Then
                
                    trTransactionResult.CV2CheckResult = null
                
                Else
                
                    trTransactionResult.CV2CheckResult = aVariables("CV2CheckResult")
                End If
            End If
            
            If (IsEmpty(aVariables("ThreeDSecureAuthenticationCheckResult"))) Then
            
                szErrorMessage = addStringToStringList(szErrorMessage, "Expected variable [ThreeDSecureAuthenticationCheckResult] not received")
                boErrorActive = true
            
            Else
            
                If (aVariables("ThreeDSecureAuthenticationCheckResult") = "") Then
                
                    trTransactionResult.ThreeDSecureAuthenticationCheckResult = null
                
                Else
                
                    trTransactionResult.ThreeDSecureAuthenticationCheckResult = aVariables("ThreeDSecureAuthenticationCheckResult")
                End If
            End If
            
            If (IsEmpty(aVariables("CardType"))) Then
            
                szErrorMessage = addStringToStringList(szErrorMessage, "Expected variable [CardType] not received")
                boErrorActive = true
            
            Else
            
                If (aVariables("CardType") = "") Then
                
                    trTransactionResult.CardType = null
                
                Else
                
                    trTransactionResult.CardType = aVariables("CardType")
                End If
            End If
            
            If (IsEmpty(aVariables("CardClass"))) Then
            
                szErrorMessage = addStringToStringList(szErrorMessage, "Expected variable [CardClass] not received")
                boErrorActive = true
            
            Else
            
                If (aVariables("CardClass") = "") Then
                
                    trTransactionResult.CardClass = null
                
                Else
                
                    trTransactionResult.CardClass = aVariables("CardClass")
                End If
            End If
            
            If (IsEmpty(aVariables("CardIssuer"))) Then
            
                szErrorMessage = addStringToStringList(szErrorMessage, "Expected variable [CardIssuer] not received")
                boErrorActive = true
            
            Else
            
                If (aVariables("CardIssuer") = "") Then
                
                    trTransactionResult.CardIssuer = null
                
                Else
                
                    trTransactionResult.CardIssuer = aVariables("CardIssuer")
                End If
            End If
            
            If (IsEmpty(aVariables("CardIssuerCountryCode"))) Then
            
                szErrorMessage = addStringToStringList(szErrorMessage, "Expected variable [CardIssuerCountryCode] not received")
                boErrorActive = true
            
            Else
            
                If (aVariables("CardIssuerCountryCode") = "") Then
                
                    trTransactionResult.CardIssuerCountryCode = null
                
                Else
                
                    trTransactionResult.CardIssuerCountryCode = aVariables("CardIssuerCountryCode")
                End If
            End If
            
            If (IsEmpty(aVariables("EmailAddress"))) Then
            
                szErrorMessage = addStringToStringList(szErrorMessage, "Expected variable [EmailAddress] not received")
                boErrorActive = true
            
            Else
            
                If (aVariables("EmailAddress") = "") Then
                
                    trTransactionResult.EmailAddress = null
                
                Else
                
                    trTransactionResult.EmailAddress = aVariables("EmailAddress")
                End If
            End If
            
            If (IsEmpty(aVariables("PhoneNumber"))) Then
            
                szErrorMessage = addStringToStringList(szErrorMessage, "Expected variable [PhoneNumber] not received")
                boErrorActive = true
            
            Else
            
                If (aVariables("PhoneNumber") = "") Then
                
                    trTransactionResult.PhoneNumber = null
                
                Else
                
                    trTransactionResult.PhoneNumber = aVariables("PhoneNumber")
                End If
            End If
            
            GetTransactionCompleteResultFromPostVariables = Not boErrorActive
        
        End Function

		Public Function GenerateStringToHash2(PaRES, _
											    CrossReference, _
											    SecretKey)

			Dim ReturnString 

			ReturnString = "PaRES=" & PaRES & "&CrossReference=" & CrossReference & "&SecretKey=" & SecretKey			
			GenerateStringToHash2 = ReturnString
			
		End Function
	
        Function URLEncode(szString) 
            URLEncode = Server.URLEncode(szString) 
        End Function

        Function URLDecode(szConvert)
            Dim aSplit
            Dim szOutput
            Dim nCount

            If IsNull(szConvert) Or szConvert = "" Then
               URLDecode = ""
               Exit Function
            End If

            ' convert all pluses to spaces
            szOutput = Replace(szConvert, "+", " ")

            ' next convert %hexdigits to the character
            aSplit = Split(szOutput, "%")

            If IsArray(aSplit) Then
              szOutput = aSplit(0)
              For nCount = 0 to UBound(aSplit) - 1
                szOutput = szOutput & _
                  Chr("&H" & Left(aSplit(nCount + 1), 2)) &_
                  Right(aSplit(nCount + 1), Len(aSplit(nCount + 1)) - 2)
              Next
            End If

            URLDecode = szOutput
        End Function

        Function ExistsInList(aList, szName)
            Dim szCurrentName
            Dim boFound

            boFound = False

            For Each szCurrentName In aList   
                If szCurrentName = szName Then
                    boFound = True
                    Exit For
                End If
            Next

            ExistsInList = boFound
        End Function

	    Function BoolToString(boBool)
	        Dim szReturnValue
	    
            szReturnValue = ""

	        If boBool = True Then
	            szReturnValue = "True"
	        Else
	            szReturnValue = "False"
	        End If 
    	
            BoolToString = szReturnValue
	    End Function
	
	    Function StringToBool(szString) 
		    Dim boReturnValue
		
		    boReturnValue = False

		    If UCase(szString) = "True" Then
			    boReturnValue = True
		    End If

    	    StringToBool = boReturnValue
	    End Function


	    Function GetTransactionResultFromPostVariables(aFormVariables, trTransactionResult, szHashDigest, szOutputMessage)
		    Dim boErrorOccurred
            Dim nStatusCode
            Dim szMessage
            Dim nPreviousStatusCode
            Dim szPreviousMessage
            Dim szCrossReference
            Dim nAmount
            Dim nCurrencyCode
            Dim szOrderID
            Dim szTransactionType
            Dim szTransactionDateTime
            Dim szOrderDescription
            Dim szCustomerName
		    Dim szAddress1
		    Dim szAddress2
		    Dim szAddress3
		    Dim szAddress4
            Dim szCity
            Dim szState
            Dim szPostCode
            Dim nCountryCode

		    Set trTransactionResult = Nothing
		    szHashDigest = ""
		    szOutputMessage = ""			
		    boErrorOccurred = False

		    On Error Resume Next

		    ' hash digest
		    If ExistsInList(aFormVariables, "HashDigest") = True Then
			    szHashDigest = aFormVariables("HashDigest")
		    End If

		    ' transaction status code
		    If ExistsInList(aFormVariables, "StatusCode") = False Then
			    szOutputMessage = AddStringToStringList(szOutputMessage, "Expected variable [StatusCode] not received")
			    boErrorOccurred = True
		    Else
                If aFormVariables("StatusCode") = "" Then
                    nStatusCode = ""
                Else
    			    nStatusCode = CInt(aFormVariables("StatusCode"))
                End If
		    End If

		    ' transaction message
		    If ExistsInList(aFormVariables, "Message") = False Then
			    szOutputMessage = AddStringToStringList(szOutputMessage, "Expected variable [Message] not received")
			    boErrorOccurred = True
		    Else
			    szMessage = aFormVariables("Message")
		    End If

		    ' status code of original transaction If this transaction was deemed a duplicate
		    If ExistsInList(aFormVariables, "PreviousStatusCode") = False Then
			    szOutputMessage = AddStringToStringList(szOutputMessage, "Expected variable [PreviousStatusCode] not received")
			    boErrorOccurred = True
		    Else
                If aFormVariables("PreviousStatusCode") = "" Then
                    nPreviousStatusCode = ""
                Else
			        nPreviousStatusCode = CInt(aFormVariables("PreviousStatusCode"))
                End If
		    End If

		    ' status code of original transaction If this transaction was deemed a duplicate
		    If ExistsInList(aFormVariables, "PreviousMessage") = False Then
			    szOutputMessage = AddStringToStringList(szOutputMessage, "Expected variable [PreviousMessage] not received")
			    boErrorOccurred = True
		    Else
			    szPreviousMessage = aFormVariables("PreviousMessage")
		    End If

		    ' cross reference of transaction
		    If ExistsInList(aFormVariables, "CrossReference") = False Then
			    szOutputMessage = AddStringToStringList(szOutputMessage, "Expected variable [CrossReference] not received")
			    boErrorOccurred = True
		    Else
			    szCrossReference = aFormVariables("CrossReference")
		    End If

		    ' amount (same as value passed into payment form - echoed back out by payment form)
		    If ExistsInList(aFormVariables, "Amount") = False Then
			    szOutputMessage = AddStringToStringList(szOutputMessage, "Expected variable [Amount] not received")
			    boErrorOccurred = True
		    Else
                If aFormVariables("Amount") = "" Then
                    nAmount = ""
                Else
			        nAmount = CInt(aFormVariables("Amount"))
                End If
		    End If

		    ' currency code (same as value passed into payment form - echoed back out by payment form)
		    If ExistsInList(aFormVariables, "CurrencyCode") = False Then
			    szOutputMessage = AddStringToStringList(szOutputMessage, "Expected variable [CurrencyCode] not received")
			    boErrorOccurred = True
		    Else
                If aFormVariables("CurrencyCode") = "" Then
                    nCurrencyCode = ""
                Else
			        nCurrencyCode = CInt(aFormVariables("CurrencyCode"))
                End If
		    End If

		    ' order ID (same as value passed into payment form - echoed back out by payment form)
		    If ExistsInList(aFormVariables, "OrderID") = False Then
			    szOutputMessage = AddStringToStringList(szOutputMessage, "Expected variable [OrderID] not received")
			    boErrorOccurred = True
		    Else
			    szOrderID = aFormVariables("OrderID")
		    End If

		    ' transaction type (same as value passed into payment form - echoed back out by payment form)
		    If ExistsInList(aFormVariables, "TransactionType") = False Then
			    szOutputMessage = AddStringToStringList(szOutputMessage, "Expected variable [TransactionType] not received")
			    boErrorOccurred = True
		    Else
			    szTransactionType = aFormVariables("TransactionType")
            End If

		    ' transaction date/time (same as value passed into payment form - echoed back out by payment form)
		    If ExistsInList(aFormVariables, "TransactionDateTime") = False Then
			    szOutputMessage = AddStringToStringList(szOutputMessage, "Expected variable [TransactionDateTime] not received")
			    boErrorOccurred = True
		    Else
			    szTransactionDateTime = aFormVariables("TransactionDateTime")
            End If

		    ' order description (same as value passed into payment form - echoed back out by payment form)
		    If ExistsInList(aFormVariables, "OrderDescription") = False Then
			    szOutputMessage = AddStringToStringList(szOutputMessage, "Expected variable [OrderDescription] not received")
			    boErrorOccurred = True
		    Else
			    szOrderDescription = aFormVariables("OrderDescription")
            End If

		    ' customer name (not necessarily the same as value passed into payment form - as the customer can change it on the form)
		    If ExistsInList(aFormVariables, "CustomerName") = False Then
			    szOutputMessage = AddStringToStringList(szOutputMessage, "Expected variable [CustomerName] not received")
			    boErrorOccurred = True
		    Else
			    szCustomerName = aFormVariables("CustomerName")
            End If

		    ' address1 (not necessarily the same as value passed into payment form - as the customer can change it on the form)
		    If ExistsInList(aFormVariables, "Address1") = False Then
			    szOutputMessage = AddStringToStringList(szOutputMessage, "Expected variable [Address1] not received")
			    boErrorOccurred = True
		    Else
			    szAddress1 = aFormVariables("Address1")
		    End If

		    ' address2 (not necessarily the same as value passed into payment form - as the customer can change it on the form)
		    If ExistsInList(aFormVariables, "Address2") = False Then
			    szOutputMessage = AddStringToStringList(szOutputMessage, "Expected variable [Address2] not received")
			    boErrorOccurred = True
		    Else
			    szAddress2 = aFormVariables("Address2")
            End If

		    ' address3 (not necessarily the same as value passed into payment form - as the customer can change it on the form)
		    If ExistsInList(aFormVariables, "Address3") = False Then
			    szOutputMessage = AddStringToStringList(szOutputMessage, "Expected variable [Address3] not received")
			    boErrorOccurred = True
		    Else
			    szAddress3 = aFormVariables("Address3")
            End If

		    ' address4 (not necessarily the same as value passed into payment form - as the customer can change it on the form)
		    If ExistsInList(aFormVariables, "Address4") = False Then
			    szOutputMessage = AddStringToStringList(szOutputMessage, "Expected variable [Address4] not received")
			    boErrorOccurred = True
		    Else
			    szAddress4 = aFormVariables("Address4")
            End If

		    ' city (not necessarily the same as value passed into payment form - as the customer can change it on the form)
		    If ExistsInList(aFormVariables, "City") = False Then
			    szOutputMessage = AddStringToStringList(szOutputMessage, "Expected variable [City] not received")
			    boErrorOccurred = True
		    Else
			    szCity = aFormVariables("City")
            End If

		    ' state (not necessarily the same as value passed into payment form - as the customer can change it on the form)
		    If ExistsInList(aFormVariables, "State") = False Then
			    szOutputMessage = AddStringToStringList(szOutputMessage, "Expected variable [State] not received")
			    boErrorOccurred = True
		    Else
			    szState = aFormVariables("State")
            End If

		    ' post code (not necessarily the same as value passed into payment form - as the customer can change it on the form)
		    If ExistsInList(aFormVariables, "PostCode") = False Then
			    szOutputMessage = AddStringToStringList(szOutputMessage, "Expected variable [PostCode] not received")
			    boErrorOccurred = True
		    Else
			    szPostCode = aFormVariables("PostCode")
            End If

		    ' country code (not necessarily the same as value passed into payment form - as the customer can change it on the form)
		    If ExistsInList(aFormVariables, "CountryCode") = False Then
			    szOutputMessage = AddStringToStringList(szOutputMessage, "Expected variable [CountryCode] not received")
			    boErrorOccurred = True
		    Else
                If aFormVariables("CountryCode") = "" Then
                    nCountryCode = ""
                Else
			        nCountryCode = CInt(aFormVariables("CountryCode"))
                End If
		    End If

		    If boErrorOccurred = False Then
			    Set trTransactionResult = New TransactionResult
			    trTransactionResult.StatusCode = nStatusCode ' transaction status code
			    trTransactionResult.Message = szMessage ' transaction message
			    trTransactionResult.PreviousStatusCode = nPreviousStatusCode ' status code of original transaction If duplicate transaction
			    trTransactionResult.PreviousMessage = szPreviousMessage ' status code of original transaction If duplicate transaction
			    trTransactionResult.CrossReference = szCrossReference	' cross reference of transaction
			    trTransactionResult.Amount = nAmount ' amount echoed back
			    trTransactionResult.CurrencyCode = nCurrencyCode ' currency code echoed back
			    trTransactionResult.OrderID = szOrderID ' order ID echoed back
			    trTransactionResult.TransactionType = szTransactionType ' transaction type echoed back
			    trTransactionResult.TransactionDateTime = szTransactionDateTime ' transaction date/time echoed back
			    trTransactionResult.OrderDescription = szOrderDescription ' order description echoed back
			    ' the customer details that were actually
			    ' processed (might be different
			    ' from those passed to the payment form)
			    trTransactionResult.CustomerName = szCustomerName
			    trTransactionResult.Address1 = szAddress1
			    trTransactionResult.Address2 = szAddress2
			    trTransactionResult.Address3 = szAddress3
			    trTransactionResult.Address4 = szAddress4
			    trTransactionResult.City = szCity
			    trTransactionResult.State = szState
			    trTransactionResult.PostCode = szPostCode
			    trTransactionResult.CountryCode = nCountryCode
		    End If
		
		    If Err.Number <> 0 Then
                szOutputMessage = Err.Number & " (" & Err.Description & ")"
			    boErrorOccurred = True
                Err.Clear
            End If

		    GetTransactionResultFromPostVariables = Not boErrorOccurred
	    End Function

	    Function AddStringToStringList(szExistingStringList, szStringToAdd)
		    Dim szReturnString
		    Dim szCommaString

		    szReturnString = ""
		    szCommaString = ""

		    If Len(szStringToAdd) = 0 Then
			    szReturnString = szExistingStringList
		    Else
			    If Len(szExistingStringList) <> 0 Then
				    szCommaString = ", "
			    End If
			    szReturnString = szExistingStringList & szCommaString & szStringToAdd
		    End If

		    AddStringToStringList = szReturnString
	    End Function

        Function CalculateHashDigest(szInputString, szPreSharedKey, szHashMethod)
		    Dim hHasher
		    Dim szHashDigest
		
            szHashDigest = ""

		    Select Case szHashMethod
			    Case "MD5"
                    Set hHasher = GetObject("script:" & Server.MapPath("MD5.wsc"))
        		    szHashDigest = hHasher.hex_md5(szInputString)
			    case "SHA1"
                    Set hHasher = GetObject("script:" & Server.MapPath("SHA1.wsc"))
        		    szHashDigest = hHasher.hex_sha1(szInputString)
			    case "HMACMD5"
                    Set hHasher = GetObject("script:" & Server.MapPath("MD5.wsc"))
        		    szHashDigest = hHasher.hex_hmac_md5(szPreSharedKey, szInputString)
			    case "HMACSHA1"
                    Set hHasher = GetObject("script:" & Server.MapPath("SHA1.wsc"))
        		    szHashDigest = hHasher.hex_hmac_sha1(szPreSharedKey, szInputString)
		    End Select

            CalculateHashDigest = szHashDigest
        End Function
        Function IncludePreSharedKeyInString(szHashMethod)

            Dim boIncludePreSharedKeyInString 
            boIncludePreSharedKeyInString = false

            Select Case szHashMethod
                    Case "MD5", "SHA1"
                        boIncludePreSharedKeyInString = true
            End Select

            IncludePreSharedKeyInString = boIncludePreSharedKeyInString

        End Function


	    Function ParseNameValueStringIntoArray(szNameValueString, boURLDecodeValues)
		    Dim szName
            Dim szValue
            Dim aPostVariables
            Dim aParsedVariables
            Dim nCount
            Dim aSingleVariable
		
		    ' break the reponse into an array
		    ' first break the variables up using the "&" delimter
	        aPostVariables = Split(szNameValueString, "&")
	
	        Set aParsedVariables = Server.CreateObject("Scripting.Dictionary")

	        For nCount = 0 To UBound(aPostVariables)
			    ' for each variable, split is again on the "=" delimiter
			    ' to give name/value pairs	
                aSingleVariable = Split(aPostVariables(nCount), "=")

                szName = aSingleVariable(0)
			    If boURLDecodeValues = False Then
				    szValue = aSingleVariable(1)
			    Else
				    szValue = URLDecode(aSingleVariable(1))
			    End If
		        aParsedVariables.Add szName, szValue
	        Next

		    Set ParseNameValueStringIntoArray = aParsedVariables
	    End Function

        ' This is a "hook" function that is run when the results of the transaction are known.
	    ' You should put your code that does any post transaction tasks
	    ' (e.g. updates the order object, sends the customer an email etc) in this function
        Function ReportTransactionResult(   trTransactionResult, _
									        ByRef szOutputMessage)
		    Dim boErrorOccurred
		
		    boErrorOccurred = False
		    szOutputMessage = "Environment specific function ReportTransactionResults() needs to be implemented by merchant developer"

		    On Error Resume Next

		    Select Case trTransactionResult.StatusCode
			    ' transaction authorised
			    Case 0
			    ' card referred (treat as decline)
			    Case 4
			    ' transaction declined
			    Case 5
			    ' duplicate transaction
			    Case 20
				    ' need to look at the previous status code to see If the
				    ' transaction was successful
				    If trTransactionResult.PreviousStatusCode = 0 Then
					    ' transaction authorised
				    Else
					    ' transaction not authorised
                    End If
			    ' error occurred
			    Case 30
			    Case Else
		    End Select

		    ' put code to update/store the order with the transaction result
		    If Err.Number <> 0 Then
			    boErrorOccurred = True
			    szOutputMessage = Err.Number & " (" & Err.Description & ")"
                Err.Clear
            End If

		    ReportTransactionResult = Not boErrorOccurred
        End Function
    End Class
%>