<cfinclude template="PreProcessPaymentForm.cfm" />

<cfscript>	
	Width = 800;
	IncludeTemplate("Templates/FormHeader.tpl");

	switch (NextFormMode)
	{
		case "RESULTS":
			IncludeTemplate("Templates/FinalResultsPanel.tpl");
			break;
		case "THREE_D_SECURE_AUTHENTICATION_REQUIRED":
			SiteSecureBaseURL = GetSiteSecureBaseURL();
			IncludeTemplate("Templates/3DSIFrame.tpl");
			break;
		case "PAYMENT_FORM":
			if (isDefined("Message") EQ true AND
				Message NEQ "")
			{
				IncludeTemplate("Templates/ProcessingErrorResultsPanel.tpl");
			}

			if (SuppressFormDisplay EQ false)
			{
				StringToHash = generateStringToHashInitial(	MerchantID, 
		                									Password, 
		                									Amount, 
		                									CurrencyCode, 
		                									OrderID, 
		                									TransactionType, 
		                									TransactionDateTime, 
		                									CallbackURL, 
		                									OrderDescription,
		                									HashMethod, 
		                									PreSharedKey);
                
                HashDigest = calculateHashDigest(	StringToHash, 
                									PreSharedKey, 
                									HashMethod);

				ExpiryDateMonth = "";
				ExpiryDateyear = "";
				StartDateMonth = "";
				StartDateYear = "";
				
				lilExpiryDateMonthList = CreateExpiryDateMonthListItemList(ExpiryDateMonth);
				lilExpiryDateYearList = CreateExpiryDateYearListItemList(ExpiryDateYear);
				lilStartDateMonthList = CreateStartDateMonthListItemList(StartDateMonth);
				lilStartDateYearList = CreateStartDateYearListItemList(StartDateYear);
				
				lilISOCountryList = CreateISOCountryListItemList();
				IncludeTemplate("Templates/PaymentForm.tpl");
			}
			break;
	}
	IncludeTemplate("Templates/FormFooter.tpl");
</cfscript>