<cfinclude template="PaymentFormHelper.cfm" />

<cfscript>
	
	Width = 500;
	
	BodyAttributes = "";
	FormAction = "";
	FormAttributes = "";

	Message = "";
	MessageClass = "";
	
	MD = "";
	PaRES = "";
	
	ErrorOccurred = false;
	
	if (isDefined("form.MD") EQ false OR 
	    isDefined("form.PaRes") EQ false)
	{
		Message = "There were errors collecting the responses back from the ACS";
		ErrorOccurred = true;
	}
	else
	{
		BodyAttributes = " onload=""document.Form.submit();""";
        FormAction = "https://mms." & PaymentProcessorDomain & "/Pages/PublicPages/TransparentRedirect.aspx";
		FormAttributes = " target=""_parent""";
		
		MD = form.MD;
		PaRES = form.PaRes;
		TransactionDateTime = DateFormat(now(), "yyyy-mm-dd") & " " & TimeFormat(now(), "HH:mm:ss") & " " & GetTimeZoneOffset();
		CallbackURL = GetSiteSecureBaseURL() & "PaymentForm.cfm";
		
		StringToHash = GenerateStringToHash3DSecurePostAuthentication(MerchantID, Password, MD, TransactionDateTime, CallbackURL, PaRES, PreSharedKey, HashMethod);
		HashDigest = CalculateHashDigest(StringToHash, PreSharedKey, HashMethod);
	}

	IncludeTemplate("Templates/FormHeader.tpl");

	if (ErrorOccurred EQ true)
	{
		IncludeTemplate("Templates/ProcessingErrorResultsPanel.tpl");
	}
	else
	{
		IncludeTemplate("Templates/3DSLandingForm.tpl");
	}
	IncludeTemplate("Templates/FormFooter.tpl");
</cfscript>