package net.mycompanyname;

public class Global
{
    private String m_merchantID;
    private String m_password;
    private String m_paymentProcessorDomain;
    private String m_hashMethod;
    private String m_secretKey;
    private String m_preSharedKey;

    /** Creates a new instance of Global */
    public Global()
    {
        // Will need to set these variables to valid a MerchantID and Password
        // These were obtained during sign up
        m_merchantID = "Need Valid MerchantID";
        m_password = "Need Valid Password";

	// The domain ONLY for the hosted payment form - e.g. if the hosted payment form URL is
	// https://mms.paymentprocessor.net/Pages/PublicPages/PaymentForm.aspx, then the domain
	// will be "paymentprocessor.net"
        m_paymentProcessorDomain = "payvector.net";

        // The chosen hash method - can be either "MD5", "SHA1", "HMACMD5" or "HMACSHA1"
	// This method MUST match the hash method set for the merchant in the MMS
	m_hashMethod = "SHA1";

	// This is the SecretKey known to ONLY to this system
        // This is used to generate the Hash Keys that detect variable tampering
        // You should change this to something else
        m_secretKey = "MySecretKey-ChangeMe";

        // This is the PreSharedKey known to both this system and the payment system
	// This MUST match the PreSharedKey set for the merchant in the MMS
	m_preSharedKey = "Need Valid PreSharedKey";
    }

    public String getMerchantID()
    {
        return m_merchantID;
    }

    public String getPassword()
    {
        return m_password;
    }

    public String getPaymentProcessorDomain()
    {
        return m_paymentProcessorDomain;
    }

    public String getHashMethod()
    {
        return m_hashMethod;
    }

    public String getSecretKey()
    {
        return m_secretKey;
    }

    public String getPreSharedKey()
    {
        return m_preSharedKey;
    }

}