Imports System.Data
Imports System.Configuration
Imports System.Collections
Imports System.Web
Imports System.Web.Security
Imports System.Web.UI
Imports System.Web.UI.WebControls
Imports System.Web.UI.WebControls.WebParts
Imports System.Web.UI.HtmlControls

Namespace MyCompanyName
	Public Partial Class ThreeDSecureLandingPage
		Inherits System.Web.UI.Page
		Protected Friend m_szFormAction As String

		Protected Friend m_szHashDigest As String
		Protected Friend m_szMerchantID As String
		Protected Friend m_szCrossReference As String
		Protected Friend m_szTransactionDateTime As String
		Protected Friend m_szCallbackURL As String
		Protected Friend m_szPaRES As String

		Protected Sub Page_Load(sender As Object, e As EventArgs)
			Dim szStringToHash As String

			If Request.Form("MD") IsNot Nothing AndAlso Request.Form("PaRes") IsNot Nothing Then
				m_szFormAction = "https://mms." + [Global].PaymentProcessorDomain & "/Pages/PublicPages/TransparentRedirect.aspx"

				m_szMerchantID = [Global].MerchantID
				m_szPaRES = MyCompanyName.PaymentFormHelper.StripAllWhitespace(Request.Form("PaRes"))
				m_szCrossReference = Request.Form("MD")
				m_szTransactionDateTime = DateTime.Now.ToString("yyyy-MM-dd HH:mm:ss zzz")
				m_szCallbackURL = MyCompanyName.PaymentFormHelper.GetSiteSecureBaseURL(Request) & "PaymentForm.aspx"

				szStringToHash = MyCompanyName.PaymentFormHelper.GenerateStringToHash3DSecurePostAuthentication([Global].MerchantID, [Global].Password, m_szCrossReference, m_szTransactionDateTime, m_szCallbackURL, m_szPaRES, _
					MyCompanyName.[Global].PreSharedKey, MyCompanyName.[Global].HashMethod)

				m_szHashDigest = MyCompanyName.PaymentFormHelper.CalculateHashDigest(szStringToHash, [Global].PreSharedKey, [Global].HashMethod)

				BodyTag.Attributes.Add("onload", "document.Form.submit();")
			Else
				pnMessagePanel.Visible = True
				lbMessageLabel.Text = "There were errors collecting the responses back from the ACS"
			End If
		End Sub
	End Class
End Namespace
