<?php
    require_once ("PaymentFormHelper.php");
    include ("Config.php");

    $Width = 500;
    $BodyAttributes = "";
    $FormAction = "";
    $FormAttributes = "";

    $Message = "";
    $MessageClass = "";
    
    $MD = "";
    $PaRES = "";
    $TransactionDateTime = "";
    $SiteSecureBaseURL = "";
    $CallbackURL = "";
    $HashDigest = "";
    
    $ErrorOccurred = false;

    if (isset($_POST['MD']) == false || isset($_POST['PaRes']) == false)
    {
        $Message = "There were errors collecting the responses back from the ACS";
        $MessageClass = "ErrorMessage";
        $ErrorOccurred = true;
    }
    else
    {
        $BodyAttributes = " onload=\"document.Form.submit();\"";
        $FormAction = "https://mms." . $PaymentProcessorDomain . "/Pages/PublicPages/TransparentRedirect.aspx";
        $FormAttributes = " target=\"_parent\"";
        
        $MD = $_POST['MD'];
        $PaRES = $_POST['PaRes'];
        $TransactionDateTime =  date('Y-m-d H:i:s P');
        
        $SiteSecureBaseURL = PaymentFormHelper::getSiteSecureBaseURL();
        $CallbackURL = $SiteSecureBaseURL . "PaymentForm.php";
        
        $StringToHash = PaymentFormHelper::generateStringToHash3DSecurePostAuthentication(
                $HashMethod, $PreSharedKey, $MerchantID, $Password, $MD, $TransactionDateTime, $CallbackURL, $PaRES);
        
        $HashDigest = PaymentFormHelper::calculateHashDigest($StringToHash,$PreSharedKey, $HashMethod);

        include ("Templates/FormHeader.tpl");

        if ($ErrorOccurred == true)
        {
            include ("Templates/ProcessingErrorResultsPanel.tpl");
        }
        else
        {
            include ("Templates/3DSLandingForm.tpl");
        }
        include ("Templates/FormFooter.tpl");
    }
?>